#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cryptd_alloc_skcipher, 0x7637dcc4, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0x4ef91380, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0x0d136639, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0x6d3180ea, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0xab5c1af5, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0x1e6c2d53, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0x688fcf74, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0x7661e4e7, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0x9951565a, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0xb7afe02c, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x8ef1afe3, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0xffaf1a44, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0x51a19cdc, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x656e4a6e, "snprintf" },
	{ 0xdcf52e0b, "crypto_alloc_skcipher" },
	{ 0xf814ce9f, "crypto_destroy_tfm" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xbc7574ff, "crypto_alloc_ahash" },
	{ 0xd3767972, "crypto_alloc_aead" },
	{ 0xcf844d75, "crypto_skcipher_setkey" },
	{ 0x9ac30bd9, "crypto_spawn_tfm2" },
	{ 0x78f11b3, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0xa5a9b198, "crypto_shash_setkey" },
	{ 0xa6cc42c1, "crypto_clone_shash" },
	{ 0x51b60f6b, "crypto_aead_setauthsize" },
	{ 0x1771361a, "crypto_aead_setkey" },
	{ 0xd2c59539, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xba5a28f6, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0xef480e72, "crypto_register_template" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0x79ce88bf, "crypto_grab_shash" },
	{ 0x53b02db7, "crypto_grab_skcipher" },
	{ 0x62ca4f36, "skcipher_register_instance" },
	{ 0x854fd435, "crypto_grab_aead" },
	{ 0xc3be7987, "shash_no_setkey" },
	{ 0xf2aa5581, "ahash_register_instance" },
	{ 0x466afa0a, "aead_register_instance" },
	{ 0xab6473c7, "crypto_enqueue_request" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xa9df711, "crypto_skcipher_decrypt" },
	{ 0x1ff708a0, "crypto_skcipher_encrypt" },
	{ 0xe80e99fa, "shash_ahash_digest" },
	{ 0x88b98cd7, "shash_ahash_finup" },
	{ 0xa8e0591b, "crypto_shash_final" },
	{ 0x880c0e5b, "shash_ahash_update" },
	{ 0xe3edda5c, "param_ops_uint" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AFA5D8720A30656DD436895");

MODULE_INFO(suserelease, "ALP-0.1");
