#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd851853b, "__serdev_device_driver_register" },
	{ 0x671b00e0, "hci_unregister_dev" },
	{ 0x8d44bb16, "hci_free_dev" },
	{ 0xbad3fae8, "regulator_disable" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb4d9f18e, "serdev_device_write_flush" },
	{ 0xcafb2d17, "skb_queue_purge_reason" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x113598e9, "kfree_skb_reason" },
	{ 0xc8f61448, "__pm_runtime_idle" },
	{ 0xff8a4a7e, "__pm_runtime_disable" },
	{ 0x9dc5136e, "serdev_device_close" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x400ed3ad, "skb_dequeue" },
	{ 0x278951a9, "serdev_device_write_buf" },
	{ 0x907ee0a5, "skb_pull" },
	{ 0x835282c4, "skb_queue_head" },
	{ 0xeef12470, "skb_clone" },
	{ 0xcf9283ba, "hci_recv_frame" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xedd7bd1a, "driver_unregister" },
	{ 0xaca3ee21, "devm_kmalloc" },
	{ 0x62d3a5b6, "of_device_get_match_data" },
	{ 0x6cd79059, "of_property_read_variable_u32_array" },
	{ 0x1f95f1df, "devm_regulator_get" },
	{ 0x7339741a, "devm_clk_get_optional" },
	{ 0xab64fca0, "devm_gpiod_get_optional" },
	{ 0x4f843f4e, "devm_pinctrl_get" },
	{ 0xb41ba15a, "pinctrl_lookup_state" },
	{ 0x2ad62ca3, "devm_clk_get" },
	{ 0x5856a9c0, "hci_alloc_dev_priv" },
	{ 0xfc12e19c, "btmtk_set_bdaddr" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xd2bedc51, "gpiod_set_value_cansleep" },
	{ 0x36070e07, "regulator_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc2366b38, "devm_gpiod_put" },
	{ 0x83552438, "pinctrl_select_state" },
	{ 0xe11c00e9, "pm_runtime_no_callbacks" },
	{ 0xb4a664f5, "hci_register_dev" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x64888a76, "skb_put" },
	{ 0x4829a47e, "memcpy" },
	{ 0x51ae029c, "__alloc_skb" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaf0fe7f5, "skb_push" },
	{ 0x6e4ab78d, "pskb_expand_head" },
	{ 0xa2da916b, "skb_queue_tail" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9099c987, "__hci_cmd_send" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4ae0c21b, "btmtk_setup_firmware" },
	{ 0xc03801b1, "__hci_cmd_sync" },
	{ 0x718b8b7, "bt_info" },
	{ 0x7c66057a, "serdev_device_set_baudrate" },
	{ 0x7e9a6535, "serdev_device_set_flow_control" },
	{ 0xca748cf, "serdev_device_wait_until_sent" },
	{ 0x13f1ba15, "serdev_device_open" },
	{ 0x1a17bea5, "pm_runtime_enable" },
	{ 0x28f70064, "__pm_runtime_resume" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,btmtk");

MODULE_ALIAS("of:N*T*Cmediatek,mt7622-bluetooth");
MODULE_ALIAS("of:N*T*Cmediatek,mt7622-bluetoothC*");
MODULE_ALIAS("of:N*T*Cmediatek,mt7663u-bluetooth");
MODULE_ALIAS("of:N*T*Cmediatek,mt7663u-bluetoothC*");
MODULE_ALIAS("of:N*T*Cmediatek,mt7668u-bluetooth");
MODULE_ALIAS("of:N*T*Cmediatek,mt7668u-bluetoothC*");

MODULE_INFO(srcversion, "9A47805D3F0290513E15FC2");

MODULE_INFO(suserelease, "ALP-0.1");
