#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dfl_fpga_port_ops_get, 0x2d3e7e2f, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0x308286da, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0xb0c41222, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0xb85238fa, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0xf1269dfb, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0x033a23b5, "");
SYMBOL_CRC(dfl_driver_unregister, 0xed011a32, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0xd5c09088, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0x782674cc, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0x874022ff, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0xb7482e61, "_gpl");
SYMBOL_CRC(dfh_find_param, 0x52180663, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0x1238dff6, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0x8704cb3a, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0xccf28305, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0x167f7e9f, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0x8f16d35c, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0x0ff5793c, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0x26dbaf1c, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0x20ee45e0, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0x8416db47, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0x9fa12591, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0xf6767496, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0xe11dd294, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0xb037e6d4, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0x9e80c141, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcb9f7172, "try_module_get" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x431d1ac, "module_put" },
	{ 0x4b68f21f, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xedd7bd1a, "driver_unregister" },
	{ 0xc5e74216, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0xffb7c514, "ida_free" },
	{ 0xc5980e05, "cdev_init" },
	{ 0x11a1a6ad, "cdev_add" },
	{ 0x8c20b0e8, "cdev_del" },
	{ 0xba9ed1de, "get_device" },
	{ 0xaca3ee21, "devm_kmalloc" },
	{ 0x70765a7f, "put_device" },
	{ 0xe0946436, "devm_kfree" },
	{ 0xc30446a5, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0xb588dc5f, "__devm_request_region" },
	{ 0x87fbe12c, "devm_ioremap" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x80d1a666, "bus_register" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x2d092136, "bus_unregister" },
	{ 0x72dcd057, "device_unregister" },
	{ 0xcbf4612d, "devm_platform_ioremap_resource" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6e081985, "device_initialize" },
	{ 0x77687738, "dev_set_name" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6112f6d0, "device_add" },
	{ 0x5a86cc84, "__dynamic_dev_dbg" },
	{ 0x75c6bc4c, "platform_device_del" },
	{ 0xf9651741, "platform_device_add" },
	{ 0x5eff6a4c, "platform_device_unregister" },
	{ 0x1f05f6f1, "platform_device_put" },
	{ 0x703b7c6, "device_for_each_child" },
	{ 0x6403743d, "fpga_region_unregister" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xc7efd59d, "cpu_hwcaps" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x24ef6f32, "devm_ioremap_resource" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x5d8b79e1, "_dev_warn" },
	{ 0xac68cb33, "_dev_info" },
	{ 0xd5ea8b81, "__fpga_region_register" },
	{ 0x7d19145d, "devm_iounmap" },
	{ 0xa935fb04, "__devm_release_region" },
	{ 0x74180c10, "platform_device_alloc" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "0B43E7A1474D7B7525842F8");

MODULE_INFO(suserelease, "ALP-0.1");
