#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(drm_sched_fault, 0xef0e1c1b, "");
SYMBOL_CRC(drm_sched_suspend_timeout, 0xae329952, "");
SYMBOL_CRC(drm_sched_resume_timeout, 0x823bb53f, "");
SYMBOL_CRC(drm_sched_stop, 0x1ec79ea6, "");
SYMBOL_CRC(drm_sched_start, 0x811f9f76, "");
SYMBOL_CRC(drm_sched_resubmit_jobs, 0x8693b927, "");
SYMBOL_CRC(drm_sched_job_init, 0x4ddf6542, "");
SYMBOL_CRC(drm_sched_job_arm, 0x22902fb4, "");
SYMBOL_CRC(drm_sched_job_add_dependency, 0xbd819f4d, "");
SYMBOL_CRC(drm_sched_job_add_syncobj_dependency, 0x357057f3, "");
SYMBOL_CRC(drm_sched_job_add_resv_dependencies, 0x1c3bc75e, "");
SYMBOL_CRC(drm_sched_job_add_implicit_dependencies, 0x37b86ba6, "");
SYMBOL_CRC(drm_sched_job_cleanup, 0x8502a664, "");
SYMBOL_CRC(drm_sched_pick_best, 0xcaa59f78, "");
SYMBOL_CRC(drm_sched_init, 0x8674a8a2, "");
SYMBOL_CRC(drm_sched_fini, 0xab9c3501, "");
SYMBOL_CRC(drm_sched_increase_karma, 0xd241e43c, "");
SYMBOL_CRC(to_drm_sched_fence, 0x7f118803, "");
SYMBOL_CRC(drm_sched_entity_init, 0x91712f0a, "");
SYMBOL_CRC(drm_sched_entity_modify_sched, 0x7eb6ec20, "");
SYMBOL_CRC(drm_sched_entity_error, 0x80ef0c75, "");
SYMBOL_CRC(drm_sched_entity_flush, 0x36486cb2, "");
SYMBOL_CRC(drm_sched_entity_fini, 0xabbda111, "");
SYMBOL_CRC(drm_sched_entity_destroy, 0xcafc3d49, "");
SYMBOL_CRC(drm_sched_entity_set_priority, 0x13680e16, "");
SYMBOL_CRC(drm_sched_entity_push_job, 0xefa49d51, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5a4e3704, "drm_syncobj_find_fence" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1b4830a9, "trace_raw_output_prep" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x445e9660, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xdddd1b76, "trace_event_printf" },
	{ 0x64295e47, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xd91e32df, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0xccaf994e, "dma_fence_set_deadline" },
	{ 0x5ad2dac8, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x690c6f0a, "kthread_park" },
	{ 0x15c7a9c6, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0xc24892eb, "wake_up_process" },
	{ 0xff1566be, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x95172a65, "dma_resv_iter_next" },
	{ 0x70daa11e, "dma_fence_remove_callback" },
	{ 0x28dc75c9, "kmem_cache_alloc" },
	{ 0xa56c8787, "drm_dev_printk" },
	{ 0xf4ce6b45, "kthread_unpark" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x1650f161, "perf_trace_run_bpf_submit" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x937d5001, "kmem_cache_free" },
	{ 0x380bb3ed, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0xaaab9977, "kthread_stop" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb23cc9d8, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x5d8b79e1, "_dev_warn" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa2a73812, "kthread_create_on_node" },
	{ 0x745a981, "xa_erase" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6db7693f, "trace_event_buffer_reserve" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8a119d9, "dma_resv_iter_first" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4210af1a, "param_ops_int" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0x6ae3ce99, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E43EAD38CCC094B55262152");

MODULE_INFO(suserelease, "ALP-0.1");
