#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf274f8f7, "__spi_register_driver" },
	{ 0x46e5643f, "drm_atomic_helper_shutdown" },
	{ 0x9b91d339, "drm_dev_unplug" },
	{ 0xdcb764ad, "memset" },
	{ 0xc89af9f9, "spi_sync" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xa750902f, "drm_crtc_helper_mode_valid_fixed" },
	{ 0xc753f84d, "drm_connector_helper_get_modes_fixed" },
	{ 0xedd7bd1a, "driver_unregister" },
	{ 0xe13b1e13, "device_get_match_data" },
	{ 0x5939c646, "dma_set_mask" },
	{ 0x5d8b79e1, "_dev_warn" },
	{ 0xaf0b9cfa, "dma_set_coherent_mask" },
	{ 0x795d17fc, "__devm_drm_dev_alloc" },
	{ 0x72cf1c6e, "drmm_mode_config_init" },
	{ 0x87a4620d, "devm_gpiod_get" },
	{ 0x50d0c37e, "device_property_read_string" },
	{ 0xaca3ee21, "devm_kmalloc" },
	{ 0x31bcc209, "drm_connector_init" },
	{ 0xa5d14b8e, "drm_simple_display_pipe_init" },
	{ 0x201cef89, "drm_mode_config_reset" },
	{ 0x70ccbc91, "drm_dev_register" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xb976ff8e, "drm_fbdev_generic_setup" },
	{ 0x5f37bdca, "thermal_zone_get_zone_by_name" },
	{ 0xa56c8787, "drm_dev_printk" },
	{ 0x4c0ce7c2, "spi_get_device_id" },
	{ 0xd2bedc51, "gpiod_set_value_cansleep" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xcdc86b55, "sched_clock" },
	{ 0xe81f17a, "drm_atomic_helper_damage_merged" },
	{ 0x92517dcc, "drm_fb_dma_get_gem_obj" },
	{ 0xa4d0312a, "drm_dev_enter" },
	{ 0xdce62f6b, "thermal_zone_get_temp" },
	{ 0xcd5a65c9, "drm_gem_fb_begin_cpu_access" },
	{ 0x8bc051c2, "drm_fb_xrgb8888_to_mono" },
	{ 0xfb6facb5, "drm_gem_fb_end_cpu_access" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xabd5687e, "gpiod_get_value_cansleep" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0x9e497030, "drm_gem_dma_prime_import_sg_table_vmap" },
	{ 0xdfc31f12, "drm_gem_dma_dumb_create" },
	{ 0x7176086b, "drm_gem_fb_create_with_dirty" },
	{ 0xd1b01dd, "drm_atomic_helper_check" },
	{ 0x81cde036, "drm_atomic_helper_commit" },
	{ 0x705b2088, "drm_atomic_helper_connector_reset" },
	{ 0xca6bf8a2, "drm_helper_probe_single_connector_modes" },
	{ 0x69f31ab3, "drm_connector_cleanup" },
	{ 0x3679b2db, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xc990ed97, "drm_atomic_helper_connector_destroy_state" },
	{ 0xd9154bc8, "noop_llseek" },
	{ 0x8b5be396, "drm_read" },
	{ 0x340f1d96, "drm_poll" },
	{ 0xb51f90f0, "drm_ioctl" },
	{ 0x27eb82da, "drm_compat_ioctl" },
	{ 0x12c655d8, "drm_gem_mmap" },
	{ 0xfe1949bf, "drm_open" },
	{ 0x5627741a, "drm_release" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "drm_dma_helper");

MODULE_ALIAS("spi:e1144cs021");
MODULE_ALIAS("spi:e1190cs021");
MODULE_ALIAS("spi:e2200cs021");
MODULE_ALIAS("spi:e2271cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1144cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1144cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e1190cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1190cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e2200cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e2200cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e2271cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e2271cs021C*");

MODULE_INFO(srcversion, "FA22D181980426ADBC49647");

MODULE_INFO(suserelease, "ALP-0.1");
