#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x796b6276, "");
SYMBOL_CRC(flow_resources_alloc, 0xadb02bbc, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0xc54cdd1f, "");
SYMBOL_CRC(flow_resources_add, 0x38fb5895, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0x0e0f909f, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x58268b05, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0xfae02df4, "");
SYMBOL_CRC(uverbs_idr_class, 0x6cb8d118, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x315ec00e, "");
SYMBOL_CRC(uverbs_fd_class, 0x2ebfed55, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x2d75b959, "");
SYMBOL_CRC(_uverbs_alloc, 0xbd696d58, "");
SYMBOL_CRC(uverbs_get_flags64, 0x253fc72b, "");
SYMBOL_CRC(uverbs_get_flags32, 0xc6e9c57a, "");
SYMBOL_CRC(uverbs_copy_to, 0x2eceea5a, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x5be43a6e, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x913e8b56, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x8b82d150, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xebc415a0, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0xc852ff7c, "");
SYMBOL_CRC(ib_umem_get, 0xf8d560d3, "");
SYMBOL_CRC(ib_umem_release, 0x344abc3e, "");
SYMBOL_CRC(ib_umem_copy_from, 0x5100eb42, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0xe427f75b, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0xcc58cdfc, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0x1c8b359a, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0x0fb84790, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0x4bc7c1a4, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0x34ea5228, "");
SYMBOL_CRC(ib_umem_odp_get, 0x47a5c3cf, "");
SYMBOL_CRC(ib_umem_odp_release, 0xf36e7e06, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0xf0e32f16, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0x81f92018, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x56e53efe, "pin_user_pages_fast" },
	{ 0xe0211061, "mmu_interval_notifier_remove" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xcb9f7172, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xb039abdb, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xae2ad22, "ib_unregister_client" },
	{ 0x7cb1dc9e, "show_class_attr_string" },
	{ 0x67ad8741, "unpin_user_pages_dirty_lock" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x77687738, "dev_set_name" },
	{ 0x4412bf68, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x8c09644f, "mmu_interval_read_begin" },
	{ 0x89d4024e, "ib_create_qp_user" },
	{ 0x8d165409, "dma_resv_wait_timeout" },
	{ 0x79d83b7a, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x15049713, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3faea68, "kill_fasync" },
	{ 0x21d29ae4, "dma_unmap_page_attrs" },
	{ 0x78887337, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x3f8e2378, "fget" },
	{ 0xc989562c, "__put_task_struct" },
	{ 0x70b11b6b, "ib_query_srq" },
	{ 0x7c5141a9, "ww_mutex_unlock" },
	{ 0x6e081985, "device_initialize" },
	{ 0xf7f29f18, "__dynamic_ibdev_dbg" },
	{ 0x1093ad48, "ib_rdmacg_try_charge" },
	{ 0x73915a95, "fd_install" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc9457434, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0xd521fe5c, "unpin_user_page_range_dirty_lock" },
	{ 0xc028c67c, "iput" },
	{ 0x3d0bf716, "dma_buf_unpin" },
	{ 0x19f61833, "zap_vma_ptes" },
	{ 0xdfb8f947, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xbe118c52, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc7409852, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa3d1a6a, "rdma_dev_access_netns" },
	{ 0xba9ed1de, "get_device" },
	{ 0xef60f946, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5efdd68b, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x2a10f757, "dma_buf_dynamic_attach" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x84fe7141, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x6dc35b25, "radix_tree_iter_delete" },
	{ 0xf0c5118e, "ib_destroy_srq_user" },
	{ 0x6db552a, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x1a0eb564, "hmm_range_fault" },
	{ 0x181dc161, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xc7efd59d, "cpu_hwcaps" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4bcbf0d1, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf7bf28d1, "rdma_restrack_add" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x70765a7f, "put_device" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x7d7f9d30, "ib_modify_qp_with_udata" },
	{ 0x12bd4841, "ib_register_event_handler" },
	{ 0xa571e4c2, "ib_detach_mcast" },
	{ 0xb75547d3, "dma_buf_map_attachment" },
	{ 0x266dc1ec, "__free_pages" },
	{ 0xa9b8bdb8, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x431d1ac, "module_put" },
	{ 0x1035dca2, "ib_register_client" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0xdb9e59e8, "compat_ptr_ioctl" },
	{ 0xbb0a6e48, "ib_create_srq_user" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x5ad78ac7, "__task_pid_nr_ns" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x740c7d5e, "init_srcu_struct" },
	{ 0x223613a4, "fput" },
	{ 0x82a5d13c, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xdc4be9d9, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0xa3878fd2, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x27dcbb39, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x4e8cd3c2, "dma_buf_get" },
	{ 0x2645074c, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xd15cb96e, "nla_put" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x904e1c9d, "ww_mutex_lock" },
	{ 0xa5b0fd4d, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x92571e68, "ib_qp_usecnt_inc" },
	{ 0x47c97ae4, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x6a6d6bc6, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x71b1c89b, "cleanup_srcu_struct" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x3b0e32d9, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x7f015b34, "rdma_restrack_set_name" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xabe36f3a, "rdma_create_user_ah" },
	{ 0xb81b4fe6, "rdma_destroy_ah_user" },
	{ 0x832d767f, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xf32c1001, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0x9f1b1a69, "__mmdrop" },
	{ 0x8fa38a67, "rdma_restrack_del" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x63c156ce, "set_page_dirty" },
	{ 0x745a981, "xa_erase" },
	{ 0x67aa2da4, "__mmap_lock_do_trace_start_locking" },
	{ 0xe641fa32, "ib_rdmacg_uncharge" },
	{ 0xcce69e6e, "igrab" },
	{ 0xe52454bc, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x53478496, "mmput" },
	{ 0x5761740, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x903659b6, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbd628752, "__tracepoint_mmap_lock_start_locking" },
	{ 0x56470118, "__warn_printk" },
	{ 0x43d2c81e, "__mmap_lock_do_trace_released" },
	{ 0xe0c04279, "ib_alloc_xrcd_user" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc34f857b, "__srcu_read_unlock" },
	{ 0x5787fb70, "rdma_set_cq_moderation" },
	{ 0xaeb17e26, "ib_dealloc_xrcd_user" },
	{ 0x2753712f, "dma_buf_detach" },
	{ 0xf9e365a4, "stream_open" },
	{ 0x9b351b38, "mmu_interval_notifier_insert" },
	{ 0x79747722, "mmput_async" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x6fc3bf32, "ib_open_qp" },
	{ 0xcafa7e57, "ib_dealloc_pd_user" },
	{ 0x2d64a23d, "rdma_get_gid_attr" },
	{ 0x9ea238b7, "dma_unmap_sg_attrs" },
	{ 0xc1fe9d4e, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x96264c64, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x74c5d43f, "rdma_query_gid_table" },
	{ 0x809aadec, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc8ce110, "rdma_restrack_put" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xae790dc, "ib_attach_mcast" },
	{ 0xe76fa4b3, "rdma_umap_priv_init" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x41de2bc9, "ib_destroy_wq_user" },
	{ 0xf93d11d2, "put_pid" },
	{ 0x45c76826, "class_register" },
	{ 0xc5980e05, "cdev_init" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xe699d221, "rdma_user_mmap_entry_put" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "45FCE01455551C304395EFE");

MODULE_INFO(suserelease, "ALP-0.1");
