#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mantis_get_mac, 0x0be3012d, "_gpl");
SYMBOL_CRC(mantis_gpio_set_bits, 0x978c5277, "_gpl");
SYMBOL_CRC(mantis_stream_control, 0x8ffab539, "_gpl");
SYMBOL_CRC(mantis_uart_init, 0x217ccf09, "_gpl");
SYMBOL_CRC(mantis_uart_exit, 0x11535b46, "_gpl");
SYMBOL_CRC(mantis_dma_exit, 0x3c29ddb5, "_gpl");
SYMBOL_CRC(mantis_dma_init, 0x2beb561c, "_gpl");
SYMBOL_CRC(mantis_pci_init, 0x5d2fc214, "_gpl");
SYMBOL_CRC(mantis_pci_exit, 0xa5b305cc, "_gpl");
SYMBOL_CRC(mantis_i2c_init, 0xbcb9e42c, "_gpl");
SYMBOL_CRC(mantis_i2c_exit, 0xab7b6f85, "_gpl");
SYMBOL_CRC(mantis_frontend_power, 0xc87b5041, "_gpl");
SYMBOL_CRC(mantis_frontend_soft_reset, 0xd5c96753, "_gpl");
SYMBOL_CRC(mantis_dvb_init, 0x79e50642, "_gpl");
SYMBOL_CRC(mantis_dvb_exit, 0x6e278deb, "_gpl");
SYMBOL_CRC(mantis_ca_init, 0x743271ef, "_gpl");
SYMBOL_CRC(mantis_ca_exit, 0xe8aca105, "_gpl");
SYMBOL_CRC(mantis_input_init, 0x52d402ca, "_gpl");
SYMBOL_CRC(mantis_input_exit, 0xa9fc62f2, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2371be24, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xefe21e70, "pci_enable_device" },
	{ 0xf9eb6a6c, "dvb_ca_en50221_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xf81bb597, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcac32152, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x907bbf69, "i2c_del_adapter" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x637897b4, "dvb_ca_en50221_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb04e59eb, "rc_register_device" },
	{ 0x43f8ecd4, "dma_alloc_attrs" },
	{ 0xd8d645db, "rc_keydown" },
	{ 0x21413dd, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5c4c1310, "dvb_dmxdev_release" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x28d766a, "param_ops_short" },
	{ 0x9607a24b, "rc_free_device" },
	{ 0xe7eb6635, "pci_set_master" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb189709, "dvb_frontend_detach" },
	{ 0xc11da5aa, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaf0b9cfa, "dma_set_coherent_mask" },
	{ 0xd32f553a, "dvb_net_release" },
	{ 0x28e710e8, "dvb_ca_en50221_camready_irq" },
	{ 0xa4ff3cdb, "rc_allocate_device" },
	{ 0x4d0df2ed, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6d5cbade, "dvb_unregister_frontend" },
	{ 0x20e61eb6, "dvb_ca_en50221_camchange_irq" },
	{ 0x3e61aecb, "i2c_transfer" },
	{ 0x17760a08, "pci_disable_device" },
	{ 0xc6454cb, "dvb_register_frontend" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x435f3106, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x113ae1be, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf88f060a, "rc_unregister_device" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,rc-core");


MODULE_INFO(srcversion, "59E19B7E1F9F26E6B5CED32");

MODULE_INFO(suserelease, "ALP-0.1");
