#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mptscsih_flush_running_cmds, 0xbae429fb, "");
SYMBOL_CRC(mptscsih_IssueTaskMgmt, 0xa2f68a68, "");
SYMBOL_CRC(mptscsih_taskmgmt_response_code, 0x2f40d079, "");
SYMBOL_CRC(mptscsih_is_phys_disk, 0x85249cfa, "");
SYMBOL_CRC(mptscsih_raid_id_to_num, 0xc4ddb522, "");
SYMBOL_CRC(mptscsih_get_scsi_lookup, 0xac78063d, "");
SYMBOL_CRC(mptscsih_host_attr_groups, 0xce42097f, "");
SYMBOL_CRC(mptscsih_remove, 0xc092f721, "");
SYMBOL_CRC(mptscsih_shutdown, 0x148afe3e, "");
SYMBOL_CRC(mptscsih_suspend, 0xcbfa75ce, "");
SYMBOL_CRC(mptscsih_resume, 0x58c0d148, "");
SYMBOL_CRC(mptscsih_show_info, 0x70216350, "");
SYMBOL_CRC(mptscsih_info, 0x0b218f22, "");
SYMBOL_CRC(mptscsih_qcmd, 0x9bf995fb, "");
SYMBOL_CRC(mptscsih_slave_destroy, 0x15ff8fa4, "");
SYMBOL_CRC(mptscsih_slave_configure, 0xee02f04e, "");
SYMBOL_CRC(mptscsih_abort, 0x4953f01f, "");
SYMBOL_CRC(mptscsih_dev_reset, 0x34d6ed1a, "");
SYMBOL_CRC(mptscsih_bus_reset, 0xa74cf0eb, "");
SYMBOL_CRC(mptscsih_host_reset, 0x3c5e47a0, "");
SYMBOL_CRC(mptscsih_bios_param, 0x61329d86, "");
SYMBOL_CRC(mptscsih_io_done, 0xf326ac4f, "");
SYMBOL_CRC(mptscsih_taskmgmt_complete, 0x0873514a, "");
SYMBOL_CRC(mptscsih_scandv_complete, 0xb17b274f, "");
SYMBOL_CRC(mptscsih_event_process, 0xa967229b, "");
SYMBOL_CRC(mptscsih_ioc_reset, 0x84a924d8, "");
SYMBOL_CRC(mptscsih_change_queue_depth, 0xc6b7477f, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x92997ed8, "_printk" },
	{ 0x37a0cba, "kfree" },
	{ 0x5227ec1e, "scsi_host_put" },
	{ 0x43a1b67e, "mpt_detach" },
	{ 0x633c6e0e, "scsi_block_requests" },
	{ 0xff84fd6d, "mpt_suspend" },
	{ 0x2751dbef, "mpt_resume" },
	{ 0x9835a930, "scsi_unblock_requests" },
	{ 0x2713e2d5, "mpt_print_ioc_summary" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xbcc65769, "seq_printf" },
	{ 0x4e613d93, "mpt_get_msg_frame" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdcb764ad, "memset" },
	{ 0xbff100f2, "mpt_put_msg_frame" },
	{ 0x7d52a5bc, "scsi_dma_map" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x85b2e734, "mpt_free_msg_frame" },
	{ 0x123bf913, "mpt_GetIocState" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7ed9bcde, "mpt_set_taskmgmt_in_progress_flag" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x48e255bf, "mpt_send_handshake_request" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb9825d48, "mpt_clear_taskmgmt_in_progress_flag" },
	{ 0xcf1b251b, "mpt_Soft_Hard_ResetHandler" },
	{ 0x8764a43d, "mpt_put_msg_frame_hi_pri" },
	{ 0x15133be3, "mpt_HardResetHandler" },
	{ 0x289d5339, "scsi_print_command" },
	{ 0x660e16b2, "scsi_done" },
	{ 0x502108d0, "mpt_fwfault_debug" },
	{ 0xf1262271, "mpt_halt_firmware" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa6257a2f, "complete" },
	{ 0x15824298, "scsi_change_queue_depth" },
	{ 0x2bd3b571, "blk_queue_dma_alignment" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x98cf60b3, "strlen" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfb879f95, "mpt_raid_phys_disk_get_num_paths" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x33851223, "mpt_raid_phys_disk_pg1" },
	{ 0xc8eedeaf, "scsi_dma_unmap" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,mptbase");


MODULE_INFO(srcversion, "20BAD7D3CD0B8FCB0C5EFE5");

MODULE_INFO(suserelease, "ALP-0.1");
