#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(qede_rdma_register_driver, 0x57497937, "");
SYMBOL_CRC(qede_rdma_unregister_driver, 0x0b07cd3a, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x4b237faa, "alloc_etherdev_mqs" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x62ee07b3, "qed_get_eth_ops" },
	{ 0xd79c7c88, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6342dd17, "skb_copy_bits" },
	{ 0xe3edda5c, "param_ops_uint" },
	{ 0x506fc47b, "ethtool_rx_flow_rule_destroy" },
	{ 0x64888a76, "skb_put" },
	{ 0x8a86c350, "skb_tstamp_tx" },
	{ 0xcf309ef, "ethtool_forced_speed_maps_init" },
	{ 0x48cb3358, "consume_skb" },
	{ 0x31aa8bc3, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc357734e, "bpf_warn_invalid_xdp_action" },
	{ 0x4dbd60a6, "unregister_netdev" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x21d29ae4, "dma_unmap_page_attrs" },
	{ 0xf7370f56, "system_state" },
	{ 0x11cfaf22, "__pci_register_driver" },
	{ 0x65467dfb, "dma_sync_single_for_device" },
	{ 0x9e95d359, "pci_num_vf" },
	{ 0x8649429e, "skb_add_rx_frag" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x851b5bde, "ptp_clock_index" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a2e39fe, "xdp_do_redirect" },
	{ 0x34be50a6, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4289302, "udp_tunnel_nic_ops" },
	{ 0xf42c1288, "flow_rule_match_ipv4_addrs" },
	{ 0xc5914882, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xa0ffc0f, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xd24a9e0a, "netdev_err" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x6272b9c3, "dev_driver_string" },
	{ 0x9ab546e9, "dev_addr_mod" },
	{ 0x79aa654, "xdp_rxq_info_reg_mem_model" },
	{ 0xcdc86b55, "sched_clock" },
	{ 0xf84d0d46, "eth_type_trans" },
	{ 0x181dc161, "dma_map_page_attrs" },
	{ 0x3bf4ec0e, "napi_complete_done" },
	{ 0xc7efd59d, "cpu_hwcaps" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xa916b694, "strnlen" },
	{ 0x580805ed, "netif_device_detach" },
	{ 0x266dc1ec, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xac68cb33, "_dev_info" },
	{ 0x1fb96c71, "napi_gro_receive" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x8f30366, "netdev_pick_tx" },
	{ 0x8cfe9aa5, "xdp_rxq_info_is_reg" },
	{ 0x2aec7b49, "flow_block_cb_setup_simple" },
	{ 0xc96eb427, "flow_rule_match_basic" },
	{ 0x6a596859, "build_skb" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0xab232a78, "softnet_data" },
	{ 0x77af08e2, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x46823537, "ptp_clock_register" },
	{ 0x788ccb96, "__traceiter_xdp_exception" },
	{ 0x77aaa7f8, "netif_set_real_num_tx_queues" },
	{ 0xe1568aca, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x97cf83d2, "ethtool_rx_flow_rule_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x43f8ecd4, "dma_alloc_attrs" },
	{ 0x4659b365, "napi_enable" },
	{ 0x9eeeef48, "qed_put_eth_ops" },
	{ 0xd794af85, "register_netdev" },
	{ 0x8830692e, "free_netdev" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x4c10756b, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xdcb764ad, "memset" },
	{ 0xf5955e80, "flow_rule_match_ports" },
	{ 0xee6af02e, "netif_schedule_queue" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x98d9ec06, "flow_rule_match_ipv6_addrs" },
	{ 0xf31da2af, "netdev_set_tc_queue" },
	{ 0x224eb95e, "ptp_clock_unregister" },
	{ 0x1d273b18, "__pskb_pull_tail" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xfb154cfd, "__netdev_alloc_skb" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xfd9d83c2, "rps_may_expire_flow" },
	{ 0x9d695a9, "netdev_reset_tc" },
	{ 0x4d0df2ed, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x53f7efb3, "bpf_prog_add" },
	{ 0x903659b6, "alloc_pages" },
	{ 0xf4d4f395, "xdp_rxq_info_unreg" },
	{ 0xab1aa067, "__xdp_rxq_info_reg" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x760fb770, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc94e4d2b, "devlink_priv" },
	{ 0x2fc98784, "tcp_gro_complete" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1de19a4, "netif_carrier_on" },
	{ 0x1e540b82, "netdev_set_num_tc" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0x21f53fd8, "xdp_master_redirect" },
	{ 0x8af3b815, "__napi_schedule_irqoff" },
	{ 0xb594fab6, "napi_schedule_prep" },
	{ 0xd9161321, "napi_disable" },
	{ 0x5ba5e935, "dev_kfree_skb_any_reason" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd27235b9, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "qed");

MODULE_ALIAS("pci:v00001077d00001634sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001666sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001636sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001644sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001654sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001656sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001664sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008070sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008090sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FA64057AE7286CBB8F03336");

MODULE_INFO(suserelease, "ALP-0.1");
