#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76x2_read_rx_gain, 0x422989fb, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0x4e6b8ae6, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0xeee45103, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0x5417b44d, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0x26196205, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0x5922cb9c, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0xae25e542, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0x2f497407, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0xc8a1f59c, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0x1c3fe409, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0x0a6db8fd, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0x833f612b, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0xbf152e1c, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0xd927f1d8, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0xca5324cc, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0x4f9f82a9, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0x363e09c8, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0xd6dabfbf, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0x3fc961ce, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0xb57d02b4, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b2ed6a9, "mt76_init_sar_power" },
	{ 0xa9807118, "mt76x02_phy_adjust_vga_gain" },
	{ 0xb108196, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xaca3ee21, "devm_kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0xa017423b, "mt76x02_ext_pa_enabled" },
	{ 0x6c45e6c5, "mt76x02_get_efuse_data" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x174c175d, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x1604a8f5, "mt76_eeprom_init" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1760567d, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x9f75995e, "mt76_mcu_send_and_get_msg" },
	{ 0x148f544c, "of_find_property" },
	{ 0xa5d167e0, "mt76_eeprom_override" },
	{ 0xea76c8a6, "mt76x02_get_lna_gain" },
	{ 0xdcb764ad, "memset" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf58bd866, "mt76_get_sar_power" },
	{ 0xdcb59a03, "mt76x02_eeprom_copy" },
	{ 0x7decc533, "mt76x02_mcu_calibrate" },
	{ 0xbcfc0a83, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x7a340107, "mt76_get_min_avg_rssi" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211");


MODULE_INFO(srcversion, "F614E833AE49F1C231FFF8A");

MODULE_INFO(suserelease, "ALP-0.1");
