#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtw_pm_ops, 0x03836478, "");
SYMBOL_CRC(rtw_pci_probe, 0x2abcba84, "");
SYMBOL_CRC(rtw_pci_remove, 0x9e633167, "");
SYMBOL_CRC(rtw_pci_shutdown, 0xf7ee742a, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x67b8d05, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x55ccc120, "rtw_tx_queue_mapping" },
	{ 0xd5986b64, "pcie_capability_read_word" },
	{ 0xf420049e, "devm_request_threaded_irq" },
	{ 0xefe21e70, "pci_enable_device" },
	{ 0x64888a76, "skb_put" },
	{ 0x48cb3358, "consume_skb" },
	{ 0xbe0dcec8, "pci_iomap" },
	{ 0x7fd161ee, "pci_alloc_irq_vectors" },
	{ 0x31aa8bc3, "netif_napi_add_weight" },
	{ 0x400ed3ad, "skb_dequeue" },
	{ 0x6c0cad28, "ieee80211_free_hw" },
	{ 0x21d29ae4, "dma_unmap_page_attrs" },
	{ 0x65467dfb, "dma_sync_single_for_device" },
	{ 0x944b640e, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0x72a1e70, "dev_kfree_skb_irq_reason" },
	{ 0xe9169d0d, "pci_set_power_state" },
	{ 0xc5914882, "__netif_napi_del" },
	{ 0xda48e176, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x6272b9c3, "dev_driver_string" },
	{ 0x181dc161, "dma_map_page_attrs" },
	{ 0x3bf4ec0e, "napi_complete_done" },
	{ 0x841ecd61, "ieee80211_tx_status_irqsafe" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf60b4e50, "devm_free_irq" },
	{ 0x22548091, "__napi_schedule" },
	{ 0xa2da916b, "skb_queue_tail" },
	{ 0xe302cd20, "rtw_chip_info_setup" },
	{ 0x1b1b2f99, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x1cb54e1a, "rtw_unregister_hw" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0x907ee0a5, "skb_pull" },
	{ 0xc399fcac, "rtw_tx_fill_tx_desc" },
	{ 0xaf0fe7f5, "skb_push" },
	{ 0x43f8ecd4, "dma_alloc_attrs" },
	{ 0x4659b365, "napi_enable" },
	{ 0x5de11c35, "rtw_core_init" },
	{ 0x6f44e75e, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x93076b07, "pci_iounmap" },
	{ 0xb1c18167, "dma_sync_single_for_cpu" },
	{ 0xb05b2c2, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xdcb764ad, "memset" },
	{ 0x5d8b79e1, "_dev_warn" },
	{ 0xe7eb6635, "pci_set_master" },
	{ 0x5afe0ab7, "ieee80211_stop_queue" },
	{ 0xfb154cfd, "__netdev_alloc_skb" },
	{ 0xe41c7acd, "rtw_rx_stats" },
	{ 0x7780975c, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0xe507104d, "rtw_register_hw" },
	{ 0x4d0df2ed, "dma_free_attrs" },
	{ 0x979f3c7c, "param_ops_bool" },
	{ 0xaec28ae, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe0d947e, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4dbbb985, "rtw_core_deinit" },
	{ 0xc93c160d, "rtw_ops" },
	{ 0x17760a08, "pci_disable_device" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xb594fab6, "napi_schedule_prep" },
	{ 0xd9161321, "napi_disable" },
	{ 0x5ba5e935, "dev_kfree_skb_any_reason" },
	{ 0xd6fb0782, "rtw_power_mode_change" },
	{ 0xe8f2a0a4, "rtw_tx_write_data_h2c_get" },
	{ 0xeee26db, "pci_free_irq_vectors" },
	{ 0x3a4abc89, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb074f95a, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xc92189a6, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "A1A75EBC27EB7AEDBCCFA7F");

MODULE_INFO(suserelease, "ALP-0.1");
