#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(wlcore_set_key, 0x3417fe93, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0x1ba37379, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0x9fdb3da6, "_gpl");
SYMBOL_CRC(wlcore_probe, 0x765f1855, "_gpl");
SYMBOL_CRC(wlcore_remove, 0x56511141, "_gpl");
SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0x0c5ef7fc, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0xb6d4beb2, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0x6d6e110f, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0x15a4fe66, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0x4cfb1916, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0x75316b80, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0x007fe2d1, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0x613b5e55, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0x75f3e807, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0x8450ddcf, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0x9be2748c, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0xb03a75cd, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0xd6a553b3, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0x89e5c07a, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0x382e2048, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0x786541c3, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0x66e7248e, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0x0be96ade, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0x2f4d9ac5, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0x452fafe0, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0x4b348fc1, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0xa27ced9d, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0xa94d3f16, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0x6a3cdc26, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0x4911578c, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0xc009dad4, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0xa2a4ade6, "");
SYMBOL_CRC(wlcore_tx_complete, 0x48372acf, "");
SYMBOL_CRC(wl1271_tx_flush, 0x51cc0d73, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0x72d57e3e, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0x9cd6f3ca, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0x50cdd153, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0x80274cdc, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0x2427e692, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0x7a3c855f, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0xd307c01c, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0x4bd6722b, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0x9341e832, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0x85498cd1, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0xd73fa22f, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0x02e5182e, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0x975832da, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0xb770ed44, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xce705c76, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x6ea31352, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x62f713d4, "ieee80211_iterate_interfaces" },
	{ 0x6867a391, "ieee80211_sched_scan_stopped" },
	{ 0xe3edda5c, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x64888a76, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x48cb3358, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x400ed3ad, "skb_dequeue" },
	{ 0xf6a40256, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6c0cad28, "ieee80211_free_hw" },
	{ 0xab559f32, "ieee80211_probereq_get" },
	{ 0x72645363, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe9d1bb18, "ieee80211_ap_probereq_get" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x26a0ae33, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x69e4d48, "ieee80211_pspoll_get" },
	{ 0x9106084e, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdb497e26, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5d6050d8, "ieee80211_get_hdrlen_from_skb" },
	{ 0xa5aa399f, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xca67a103, "ieee80211_stop_rx_ba_session" },
	{ 0xda48e176, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x60fbe5de, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x976344f0, "ieee80211_tx_status_skb" },
	{ 0x5290925, "ieee80211_find_sta" },
	{ 0xd8648239, "ieee80211_handle_wake_tx_queue" },
	{ 0xc7efd59d, "cpu_hwcaps" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f717020, "pm_wakeup_dev_event" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x1a17bea5, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xa2da916b, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x73a7868b, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xda9bf7f0, "device_create_file" },
	{ 0xe2399902, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x7fb2efa9, "ieee80211_queue_delayed_work" },
	{ 0xca5b7e52, "ieee80211_proberesp_get" },
	{ 0xf2160d6c, "device_wakeup_enable" },
	{ 0x829946c, "request_firmware_nowait" },
	{ 0x2dc60896, "simple_open" },
	{ 0x907ee0a5, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb7edd7b9, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa2223634, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xaf0fe7f5, "skb_push" },
	{ 0xfaef5280, "debugfs_remove" },
	{ 0xf39baa02, "no_seek_end_llseek" },
	{ 0xee25fc4e, "ieee80211_wake_queues" },
	{ 0xdfe1c410, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x38c33bca, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x6f44e75e, "ieee80211_alloc_hw_nm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x5a181ccd, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xdcb764ad, "memset" },
	{ 0x5d8b79e1, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x85e8c6c6, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5afe0ab7, "ieee80211_stop_queue" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb154cfd, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2e024c03, "ieee80211_ready_on_channel" },
	{ 0x6e676516, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8533621c, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x98900658, "ieee80211_cqm_beacon_loss_notify" },
	{ 0xdd64e639, "strscpy" },
	{ 0x14310623, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x5267db8d, "ieee80211_sched_scan_results" },
	{ 0x28f70064, "__pm_runtime_resume" },
	{ 0xd887376f, "ieee80211_scan_completed" },
	{ 0xaa2dc92a, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x70cb64d2, "dev_pm_clear_wake_irq" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7f4363ed, "_ieee80211_chswitch_done" },
	{ 0x7e1e7190, "pm_runtime_force_resume" },
	{ 0xe0d947e, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x4262f5f3, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x75c4d6f2, "ieee80211_cqm_rssi_notify" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0xed977728, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3a1cedb1, "ieee80211_queue_work" },
	{ 0xfe9bca61, "__pm_runtime_use_autosuspend" },
	{ 0xf44ddc60, "ieee80211_sta_ps_transition" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x4210af1a, "param_ops_int" },
	{ 0xff8a4a7e, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x189af697, "debugfs_create_dir" },
	{ 0xd553562c, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x40701d59, "pm_runtime_force_suspend" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc8f61448, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0xdd3e885c, "device_remove_bin_file" },
	{ 0x186d859d, "device_remove_file" },
	{ 0xdfc6f8eb, "ieee80211_csa_finish" },
	{ 0x835282c4, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc92189a6, "ieee80211_rx_napi" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "4F541C24F959ABD0B17FD55");

MODULE_INFO(suserelease, "ALP-0.1");
