#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvdimm_bus_lock, 0xf9887ade, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x875bd05e, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x71b860ed, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x2f8c3c27, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x3df5a630, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x2b948435, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0xbd5cde74, "_gpl");
SYMBOL_CRC(nd_integrity_init, 0x819f28d8, "");
SYMBOL_CRC(nd_device_notify, 0xead3f968, "");
SYMBOL_CRC(nvdimm_region_notify, 0x46891ed3, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0xab3ef2fa, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x8ed3c3a6, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0xa5694b1d, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x838bcb7e, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x0aaf68dc, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x1380f094, "");
SYMBOL_CRC(nd_device_unregister, 0xb55f2048, "");
SYMBOL_CRC(__nd_driver_register, 0x4594f09c, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x4e9aac2f, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x8a8969ba, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x83d36b1d, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x88d11b79, "_gpl");
SYMBOL_CRC(to_ndd, 0x1ad043a2, "");
SYMBOL_CRC(nvdimm_name, 0xeecdeb7e, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x64e9182f, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x7989311b, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x9c418075, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x88435f17, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0xfcf9f663, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x0c137706, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0xca90b5e0, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x9f6de6b8, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x5383fdd5, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x302b5b6b, "_gpl");
SYMBOL_CRC(to_nd_region, 0xe295acd3, "_gpl");
SYMBOL_CRC(nd_region_dev, 0xe28f2945, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x2f243b72, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x6563f316, "");
SYMBOL_CRC(nd_region_acquire_lane, 0xbe018769, "");
SYMBOL_CRC(nd_region_release_lane, 0x4aad436e, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x36efe3a6, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0xbe840cba, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x1734886d, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0xa3b5678a, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x680ff17b, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x2bf5523c, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x6588f01d, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0xdee2f022, "");
SYMBOL_CRC(pmem_sector_size, 0xf1e41353, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0xad78c917, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x983796b5, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x4ab25738, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0xaf2aacdb, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0xb356df73, "");
SYMBOL_CRC(devm_namespace_enable, 0xc5c7cdd4, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0xa569638d, "_gpl");
SYMBOL_CRC(badrange_init, 0x11e06ee9, "_gpl");
SYMBOL_CRC(badrange_add, 0x2e08226d, "_gpl");
SYMBOL_CRC(badrange_forget, 0x82092899, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x5b68873e, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0x623456e2, "");
SYMBOL_CRC(is_nd_btt, 0x88be3be4, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x3ce3be7a, "");
SYMBOL_CRC(nd_btt_version, 0xf9349b0d, "");
SYMBOL_CRC(nd_btt_probe, 0x6d04899f, "");
SYMBOL_CRC(to_nd_pfn, 0xa897b181, "");
SYMBOL_CRC(is_nd_pfn, 0xfc4291af, "");
SYMBOL_CRC(nd_pfn_validate, 0xfe907db0, "");
SYMBOL_CRC(nd_pfn_probe, 0x6e2c3f89, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0x4be8ce89, "_gpl");
SYMBOL_CRC(to_nd_dax, 0x348647b4, "");
SYMBOL_CRC(is_nd_dax, 0xd9fa26fc, "");
SYMBOL_CRC(nd_dax_probe, 0xd5eaa215, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xbbe4c45d, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xfeabc9cb, "blk_integrity_register" },
	{ 0xcb9f7172, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xaca3ee21, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0xf8f4a63a, "devm_memremap" },
	{ 0x77687738, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xcc672d30, "badblocks_set" },
	{ 0x72dcd057, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4d95d6d1, "memcpy_flushcache" },
	{ 0x9e071361, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x6e081985, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x1e3e9c10, "badblocks_exit" },
	{ 0x703b7c6, "device_for_each_child" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba9ed1de, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0x5a86cc84, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xdf4871d4, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x6272b9c3, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0xb588dc5f, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xd5a027f2, "__cpuhp_state_remove_instance" },
	{ 0xc7efd59d, "cpu_hwcaps" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x70765a7f, "put_device" },
	{ 0xb80d517, "badblocks_show" },
	{ 0xc81f5ec5, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0xac68cb33, "_dev_info" },
	{ 0x431d1ac, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xdb9e59e8, "compat_ptr_ioctl" },
	{ 0x45c016d3, "perf_pmu_migrate_context" },
	{ 0x6f55814c, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xb122d619, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x2d092136, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xf9a162df, "__cpuhp_setup_state" },
	{ 0x51ef7caa, "devm_memunmap" },
	{ 0xcf4d7b10, "cpu_bit_bitmap" },
	{ 0x6112f6d0, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0xd9154bc8, "noop_llseek" },
	{ 0x70529ee1, "class_create" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x9189fd7a, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0xedd7bd1a, "driver_unregister" },
	{ 0x4fa2d8f9, "__cpuhp_state_add_instance" },
	{ 0x239cbedd, "perf_pmu_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x2eb7e19b, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x5d8b79e1, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xc788c348, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x979f3c7c, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xa935fb04, "__devm_release_region" },
	{ 0xb4ad362f, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x22823ab, "kernfs_put" },
	{ 0x2a5cd973, "__register_chrdev" },
	{ 0x7a268ded, "cpu_all_bits" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x1fe731a5, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xcf998558, "badblocks_check" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0xfbfd1325, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0xfb3a7743, "badblocks_clear" },
	{ 0x59bb5013, "devm_init_badblocks" },
	{ 0x98cf60b3, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0x4b68f21f, "driver_register" },
	{ 0x8079e43f, "__cpuhp_remove_state" },
	{ 0x7b80c97e, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x80d1a666, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "899D0F9562B356761BD69D6");

MODULE_INFO(suserelease, "ALP-0.1");
