#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaac6c2ee, "apple_rtkit_boot" },
	{ 0x1c150ab3, "dev_pm_domain_attach_by_id" },
	{ 0x5de0452b, "__do_once_done" },
	{ 0x95c90ec4, "dmam_pool_create" },
	{ 0x74ad9eaf, "nvme_uninit_ctrl" },
	{ 0xf420049e, "devm_request_threaded_irq" },
	{ 0xce9903d0, "apple_rtkit_is_running" },
	{ 0x3903f5f1, "nvme_complete_rq" },
	{ 0xaca3ee21, "devm_kmalloc" },
	{ 0x43cdc864, "nvme_wait_freeze_timeout" },
	{ 0x2d1352de, "platform_driver_unregister" },
	{ 0xd360c0da, "platform_get_irq" },
	{ 0xc5207923, "nvme_cancel_admin_tagset" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x940631fe, "dmam_alloc_attrs" },
	{ 0xd45434ee, "admin_timeout" },
	{ 0x835a61dd, "blk_mq_complete_request_remote" },
	{ 0x21d29ae4, "dma_unmap_page_attrs" },
	{ 0x8983437, "nvme_setup_cmd" },
	{ 0x742cc605, "nvme_start_freeze" },
	{ 0xff62f74f, "nvme_start_ctrl" },
	{ 0x77e7187, "nvme_complete_batch_req" },
	{ 0x66c6e92d, "nvme_submit_sync_cmd" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x28525781, "devm_apple_sart_get" },
	{ 0xe440cb37, "devm_apple_rtkit_init" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xba9ed1de, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5a86cc84, "__dynamic_dev_dbg" },
	{ 0x9a6028c1, "nvme_disable_ctrl" },
	{ 0x33691635, "nvme_should_fail" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x13d6ffa4, "blk_mq_alloc_tag_set" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9e7ac35a, "devm_reset_control_array_get" },
	{ 0x96f7fa91, "apple_rtkit_is_crashed" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x854f8d, "blk_mq_end_request_batch" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x181dc161, "dma_map_page_attrs" },
	{ 0xe98d52c6, "nvme_wait_freeze" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1953c958, "mempool_create" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x74b8c5f1, "nvme_cleanup_cmd" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xee2e23ba, "nvme_mpath_start_request" },
	{ 0xf2b5d330, "dma_max_mapping_size" },
	{ 0x70765a7f, "put_device" },
	{ 0x1c7f4489, "apple_rtkit_shutdown" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x27ef0e39, "nvme_change_ctrl_state" },
	{ 0x7b7175e2, "nvme_cancel_tagset" },
	{ 0x9e5c77b3, "dev_pm_domain_detach" },
	{ 0x6adb566, "nvme_init_ctrl" },
	{ 0x84b11de8, "nvme_fail_nonready_command" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xf2253fbc, "apple_sart_remove_allowed_region" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x43f8ecd4, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xfb266f50, "__blk_rq_map_sg" },
	{ 0x9806f527, "nvme_remove_namespaces" },
	{ 0xdc831317, "blk_mq_free_tag_set" },
	{ 0x813cf212, "nvme_io_timeout" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6ecbaa7f, "blk_put_queue" },
	{ 0xeeae24c9, "nvme_enable_ctrl" },
	{ 0x7784d368, "nvme_unquiesce_admin_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0x5d8b79e1, "_dev_warn" },
	{ 0x54c0718d, "device_link_del" },
	{ 0xc94b8a69, "devm_platform_ioremap_resource_byname" },
	{ 0x4806d62b, "blk_mq_init_queue" },
	{ 0x81cb0026, "__platform_driver_register" },
	{ 0xaf0b9cfa, "dma_set_coherent_mask" },
	{ 0x4f46d0c8, "nvme_unquiesce_io_queues" },
	{ 0x4c74a7cc, "blk_mq_update_nr_hw_queues" },
	{ 0x623c3fa1, "blk_mq_complete_request" },
	{ 0x4d0df2ed, "dma_free_attrs" },
	{ 0xb28c3d73, "nvme_mark_namespaces_dead" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x11927c56, "nvme_set_queue_count" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbc89f63, "apple_rtkit_reinit" },
	{ 0xc859a012, "blk_mq_start_request" },
	{ 0xf413d684, "nvme_quiesce_io_queues" },
	{ 0xd2ed5a35, "nvme_unfreeze" },
	{ 0x95c3cea5, "nvme_stop_ctrl" },
	{ 0x5939c646, "dma_set_mask" },
	{ 0xbb429194, "of_count_phandle_with_args" },
	{ 0x34351161, "dev_err_probe" },
	{ 0x9ea238b7, "dma_unmap_sg_attrs" },
	{ 0xfbfd1325, "__devm_add_action" },
	{ 0xbaec16a4, "apple_sart_add_allowed_region" },
	{ 0xe3e2ce88, "device_release_driver" },
	{ 0x6aee21b2, "nvme_init_ctrl_finish" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x7c8bae46, "nvme_reset_ctrl" },
	{ 0xbeecab69, "device_link_add" },
	{ 0xc22bcd01, "nvme_quiesce_admin_queue" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x15073601, "__nvme_check_ready" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x38268a67, "dma_map_sg_attrs" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "apple-rtkit,nvme-core,apple-sart");

MODULE_ALIAS("of:N*T*Capple,nvme-ans2");
MODULE_ALIAS("of:N*T*Capple,nvme-ans2C*");

MODULE_INFO(srcversion, "155B662D93790DDADCC91E8");

MODULE_INFO(suserelease, "ALP-0.1");
