#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0x28645554, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0xaf287f0b, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0xdc7dcaad, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0xfd939371, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0x259ecd54, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0xb7b6fff8, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0xb34ed2af, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0x918fa695, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0x1ca57bbe, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0x173500b5, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0xac128f62, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0xf9396841, "");
SYMBOL_CRC(iscsit_release_cmd, 0xc47a84f6, "");
SYMBOL_CRC(iscsit_free_cmd, 0xd4bc8ed8, "");
SYMBOL_CRC(iscsit_queue_rsp, 0xcdf3f742, "");
SYMBOL_CRC(iscsit_aborted_task, 0x9d3e921e, "");
SYMBOL_CRC(iscsit_add_reject, 0x76af9fe0, "");
SYMBOL_CRC(iscsit_reject_cmd, 0x825729d8, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0xe97753a3, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0x2462d1da, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0x4ffe440b, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0x66cb9534, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0x0aa29736, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0x4787032c, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0xd5cdc3ff, "");
SYMBOL_CRC(iscsit_process_nop_out, 0x948f4238, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0xc9273f0b, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0xec180740, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0x1a0b2d49, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0xf108311b, "");
SYMBOL_CRC(iscsit_handle_snack, 0x04ca6e79, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0x056eaa31, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0x3e71f59f, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0x42264b5c, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0xabd86e6b, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0xb24a3cdf, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0x07280eb8, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0x3a0cb3d9, "");
SYMBOL_CRC(iscsit_build_reject, 0x6a13054e, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0x836e19ef, "");
SYMBOL_CRC(iscsit_immediate_queue, 0x9e51710b, "");
SYMBOL_CRC(iscsit_response_queue, 0xbe99a6de, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0x4d7cf1c6, "");
SYMBOL_CRC(iscsit_register_transport, 0x6558b1ae, "");
SYMBOL_CRC(iscsit_unregister_transport, 0x60e05fa6, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xbc7574ff, "crypto_alloc_ahash" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xc65e34a6, "target_alloc_cmd_counter" },
	{ 0xe24d1d5a, "core_alua_check_nonop_delay" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xcb9f7172, "try_module_get" },
	{ 0xb4489234, "target_wait_for_cmds" },
	{ 0x239b397, "transport_generic_new_cmd" },
	{ 0x5d24150b, "target_free_cmd_counter" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x3770f44d, "target_execute_cmd" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x7891dec1, "kernel_bind" },
	{ 0xcf2a6966, "up" },
	{ 0x382a981e, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x64ae964a, "kernel_accept" },
	{ 0x148653, "vsnprintf" },
	{ 0x5ad2dac8, "kmem_cache_create" },
	{ 0x1247a631, "core_tpg_set_initiator_node_queue_depth" },
	{ 0x2b9b3376, "target_stop_cmd_counter" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3bc7674, "transport_generic_handle_tmr" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x255490f9, "transport_lookup_tmr_lun" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xc24892eb, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xf814ce9f, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xab6d7809, "transport_alloc_session_tags" },
	{ 0x580c67b, "transport_alloc_session" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x395b8b90, "sbitmap_prepare_to_wait" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0a1caa7, "target_unregister_template" },
	{ 0x3a48c5f8, "transport_send_check_condition_and_sense" },
	{ 0xa916b694, "strnlen" },
	{ 0x28dc75c9, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xfb8b6c79, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0x431d1ac, "module_put" },
	{ 0xe8f493eb, "flush_signals" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6366ddf7, "__traceiter_sk_data_ready" },
	{ 0xf02000e8, "init_net" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5b011e5c, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x954f099c, "idr_preload" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x937d5001, "kmem_cache_free" },
	{ 0xb6796163, "set_cpus_allowed_ptr" },
	{ 0x5792f848, "strlcpy" },
	{ 0x132bd43d, "transport_deregister_session_configfs" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x373766a, "sbitmap_queue_clear" },
	{ 0x4861c1dd, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xdd417b38, "inet_pton_with_scope" },
	{ 0xef842164, "sock_sendmsg" },
	{ 0xf4b7ebf2, "crypto_shash_update" },
	{ 0x1112b6fa, "core_tpg_set_initiator_node_tag" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xaaab9977, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x11089ac7, "_ctype" },
	{ 0x15b1d8f8, "target_cmd_parse_cdb" },
	{ 0xe7a56f9d, "sock_set_reuseaddr" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xabcd8603, "crypto_ahash_finup" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x7d98d922, "iov_iter_bvec" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb38ee17a, "crypto_ahash_digest" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x4850c882, "crypto_ahash_final" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1717cfa7, "__target_init_cmd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa2a73812, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd3f620a9, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8b812ee2, "core_tpg_check_initiator_node_acl" },
	{ 0xbe775595, "target_cmd_init_cdb" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x104dc6a6, "kernel_listen" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x3350d87b, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0xb17a3b11, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x4d24a1e4, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe177b286, "crypto_shash_finup" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe626542, "transport_wait_for_tasks" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0xeb41fb86, "transport_handle_cdb_direct" },
	{ 0xeaa1080f, "target_get_sess_cmd" },
	{ 0x94741ce6, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2d739d89, "sock_recvmsg" },
	{ 0x573fa63b, "core_tpg_deregister" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xfd64dec1, "__transport_register_session" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xa3d2540c, "target_show_dynamic_sessions" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xfa73af20, "sock_release" },
	{ 0x9e7ed14d, "target_register_template" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5b13bcc4, "tcp_sock_set_nodelay" },
	{ 0x2f08e502, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0x999eebd3, "transport_generic_free_cmd" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x2bea2373, "core_tpg_register" },
	{ 0x98cf60b3, "strlen" },
	{ 0x1a487db6, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0xa6f9515, "transport_deregister_session" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x8a78149d, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x935346fe, "__sbitmap_queue_get" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6ae3ce99, "kmem_cache_destroy" },
	{ 0xaf4a21a7, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod,scsi_mod");


MODULE_INFO(srcversion, "51DF3E2EC426F82F2E3643B");

MODULE_INFO(suserelease, "ALP-0.1");
