#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(__tb_ring_enqueue, 0x0df69b91, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0xef16e84f, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0x2e537491, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0x61b06d8d, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0x3bda3c68, "_gpl");
SYMBOL_CRC(tb_ring_start, 0x125c0aec, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0xc08f34cf, "_gpl");
SYMBOL_CRC(tb_ring_free, 0x02b556e7, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x830c470b, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0xe61dbaef, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0xb9d0e094, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xbf02f5db, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0x7e6285e5, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0xe144f8ef, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x214a7c75, "_gpl");
SYMBOL_CRC(tb_property_find, 0x4a6f3f08, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x4b78cfd4, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0x24b6ac67, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0xabbe56be, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x682e4cc9, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0xc4a69547, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0x1caf9d79, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0xde1a8c1e, "_gpl");
SYMBOL_CRC(tb_service_type, 0xa26a164a, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0x4c35fc7f, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0x2581dbf7, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0x938a0e44, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0x2e3f93cc, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0x3b94b4cc, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0x45c4bcc6, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0xdb2aa6fd, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0xd72df722, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0xe93fc834, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0x1fc684eb, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0xfd773627, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xaa7733d4, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0xbb51750a, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x264ef78, "pci_find_ext_capability" },
	{ 0x62cb25c5, "is_acpi_device_node" },
	{ 0x6ea31352, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xf420049e, "devm_request_threaded_irq" },
	{ 0xe3edda5c, "param_ops_uint" },
	{ 0x1f13faf1, "dma_pool_create" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xaca3ee21, "devm_kmalloc" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x77687738, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x7fd161ee, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x72dcd057, "device_unregister" },
	{ 0xf6a40256, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0x11cfaf22, "__pci_register_driver" },
	{ 0x6e081985, "device_initialize" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6c9a88cb, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x60987d14, "seq_lseek" },
	{ 0xc110461f, "acpi_find_child_by_adr" },
	{ 0x703b7c6, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x166cbc42, "pci_irq_vector" },
	{ 0xba9ed1de, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5a86cc84, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa0ffc0f, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6272b9c3, "dev_driver_string" },
	{ 0xf814ce9f, "crypto_destroy_tfm" },
	{ 0x8aab2c4c, "pci_read_config_dword" },
	{ 0xbb1c4c6, "__pm_runtime_set_status" },
	{ 0xc7efd59d, "cpu_hwcaps" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8f717020, "pm_wakeup_dev_event" },
	{ 0x79db2b5, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0xb73b273e, "acpi_find_child_device" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x70765a7f, "put_device" },
	{ 0xf60b4e50, "devm_free_irq" },
	{ 0x1a17bea5, "pm_runtime_enable" },
	{ 0xb3363e30, "device_for_each_child_reverse" },
	{ 0x9605326d, "bus_for_each_dev" },
	{ 0xac68cb33, "_dev_info" },
	{ 0x6b3c061c, "sysfs_create_link" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9e00df60, "pcim_iomap_regions" },
	{ 0x76d0251d, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x2d092136, "bus_unregister" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0xf2160d6c, "device_wakeup_enable" },
	{ 0xa5a9b198, "crypto_shash_setkey" },
	{ 0xc6ad7017, "bus_find_device" },
	{ 0x6112f6d0, "device_add" },
	{ 0xb40e79a, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x18abcdd3, "device_property_read_u8_array" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x241558c2, "pci_device_is_present" },
	{ 0x43f8ecd4, "dma_alloc_attrs" },
	{ 0xfaef5280, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xfa7ff735, "crypto_shash_digest" },
	{ 0xffb7c514, "ida_free" },
	{ 0xedd7bd1a, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x2eb7e19b, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x17cbbf37, "device_register" },
	{ 0x2a9cf3e4, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x5d8b79e1, "_dev_warn" },
	{ 0x32443d69, "unregister_acpi_bus_type" },
	{ 0xf0caa95f, "acpi_get_first_physical_node" },
	{ 0xe7eb6635, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xba1008c8, "__crc32c_le" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xe11c00e9, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xaf0b9cfa, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xda555714, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3033efaf, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xe6e73791, "pm_runtime_forbid" },
	{ 0x14310623, "debugfs_create_file" },
	{ 0x4d0df2ed, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x4ce44279, "pm_runtime_allow" },
	{ 0x28f70064, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc55b53c6, "acpi_fetch_acpi_dev" },
	{ 0x979f3c7c, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbcc65769, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe246342e, "kobject_uevent" },
	{ 0x21bf5e4e, "device_iommu_capable" },
	{ 0x22195a58, "seq_puts" },
	{ 0xd5a521cb, "single_release" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x5939c646, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe23d922b, "pci_walk_bus" },
	{ 0x34351161, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x152a120a, "nvmem_register" },
	{ 0x63f72819, "pcim_iomap_table" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0xed977728, "__pm_runtime_suspend" },
	{ 0x3a6e2c89, "component_add" },
	{ 0x85ed7beb, "fwnode_handle_put" },
	{ 0x98cf60b3, "strlen" },
	{ 0xfe9bca61, "__pm_runtime_use_autosuspend" },
	{ 0x75c4fbbb, "single_open" },
	{ 0x6b4e01f1, "pcim_enable_device" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xff8a4a7e, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x8a78149d, "crypto_alloc_shash" },
	{ 0x189af697, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbeecab69, "device_link_add" },
	{ 0x4b68f21f, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc8f61448, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcda55f70, "__dev_fwnode" },
	{ 0xb375e63e, "pci_bus_type" },
	{ 0x3f86ee57, "pci_write_config_dword" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0x80d1a666, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "7DCE4BE66CDA85C4651D86D");

MODULE_INFO(suserelease, "ALP-0.1");
