#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd149347d, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbb854003, "usb_free_streams" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0xf8264155, "usb_set_interface" },
	{ 0xfb6b11f2, "usb_reset_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x407af304, "usb_wait_anchor_empty_timeout" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x633c6e0e, "scsi_block_requests" },
	{ 0x802f4b73, "_dev_printk" },
	{ 0x9835a930, "scsi_unblock_requests" },
	{ 0x39429355, "scmd_printk" },
	{ 0x289d5339, "scsi_print_command" },
	{ 0x4a42b23e, "scsi_scan_host" },
	{ 0x5a86cc84, "__dynamic_dev_dbg" },
	{ 0x42c7170b, "usb_free_urb" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0x632b305, "scsi_is_host_device" },
	{ 0x15824298, "scsi_change_queue_depth" },
	{ 0x46cc6392, "usb_deregister" },
	{ 0xeed363aa, "usb_get_urb" },
	{ 0xa2b25965, "usb_kill_urb" },
	{ 0xd4f934d5, "blk_queue_update_dma_alignment" },
	{ 0x16d8be1e, "blk_queue_max_hw_sectors" },
	{ 0xb9acc57a, "usb_alloc_urb" },
	{ 0x2be5254, "usb_alloc_streams" },
	{ 0x62f732e2, "scsi_report_bus_reset" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0x756341f5, "usb_anchor_urb" },
	{ 0xa75f9df2, "usb_submit_urb" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa5131188, "usb_unanchor_urb" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x660e16b2, "scsi_done" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x2f82ee21, "scsi_remove_host" },
	{ 0x5227ec1e, "scsi_host_put" },
	{ 0x30fa23a3, "usb_lock_device_for_reset" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1d6d0165, "usb_stor_adjust_quirks" },
	{ 0x2144c259, "scsi_host_alloc" },
	{ 0xdcb764ad, "memset" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcec28a30, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5d8b79e1, "_dev_warn" },
	{ 0xdaf55237, "sdev_prefix_printk" },
	{ 0xcb1ad281, "usb_unlink_urb" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "usbcore,scsi_mod,usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "F081901AD78F745A238D0CA");

MODULE_INFO(suserelease, "ALP-0.1");
