#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x88710fa5, "folio_test_hugetlb" },
	{ 0x3f1e3ec9, "iomap_readahead" },
	{ 0x4e7714ee, "generic_fillattr" },
	{ 0xc56c3609, "xz_dec_microlzma_reset" },
	{ 0x49a4293b, "flush_dcache_page" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xaba0b4aa, "bpf_trace_run4" },
	{ 0x20978fb9, "idr_find" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0xe3edda5c, "param_ops_uint" },
	{ 0xe450098b, "generic_fh_to_dentry" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x15bed7a5, "LZ4_decompress_safe_partial" },
	{ 0x68331ab, "fs_param_is_string" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x9c413b3, "new_inode" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1b4830a9, "trace_raw_output_prep" },
	{ 0xc7c1107a, "LZ4_decompress_safe" },
	{ 0xf518e6cf, "init_special_inode" },
	{ 0x90b576a1, "fs_dax_get_by_bdev" },
	{ 0x661dfef0, "unregister_filesystem" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x445e9660, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xdb788db2, "nop_posix_acl_access" },
	{ 0xae634a84, "nop_posix_acl_default" },
	{ 0xfaed40f9, "d_make_root" },
	{ 0xdddd1b76, "trace_event_printf" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x5453ae03, "sb_set_blocksize" },
	{ 0xefc84364, "simple_fill_super" },
	{ 0x7537bc3c, "read_cache_folio" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xdccee995, "register_shrinker" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xaeef7078, "d_splice_alias" },
	{ 0x6dba9051, "xz_dec_microlzma_end" },
	{ 0x4fb5da55, "fs_put_dax" },
	{ 0x64295e47, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x9b6328dd, "page_get_link" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xa536055f, "dax_iomap_rw" },
	{ 0xc028c67c, "iput" },
	{ 0xbe1aa219, "kset_unregister" },
	{ 0x74bc97ef, "fs_param_is_enum" },
	{ 0x4cf48a8e, "generic_file_readonly_mmap" },
	{ 0xfd292445, "logfc" },
	{ 0xed8fc659, "__put_devmap_managed_page_refs" },
	{ 0xd91e32df, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1ff4a6e2, "dax_iomap_fault" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9506622c, "register_filesystem" },
	{ 0x5ad2dac8, "kmem_cache_create" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc9725374, "simple_get_link" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xed50452b, "get_tree_nodev" },
	{ 0xff1566be, "trace_event_buffer_commit" },
	{ 0xf3791eee, "iomap_invalidate_folio" },
	{ 0x8e546bba, "iomap_dio_rw" },
	{ 0xab1da2de, "kill_block_super" },
	{ 0x68b06ec, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x456874bf, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x5ac19bba, "make_kuid" },
	{ 0x91793753, "fs_kobj" },
	{ 0xa916b694, "strnlen" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xf3423a2f, "unregister_shrinker" },
	{ 0xc571e32, "blkdev_put" },
	{ 0x28dc75c9, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xc6cbbc89, "capable" },
	{ 0x18e23ff7, "submit_bio" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf106e223, "inode_init_once" },
	{ 0xd34cccdf, "bio_put" },
	{ 0x9068b01f, "readahead_expand" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xacc5a621, "inode_nohighmem" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x32bdc06d, "copy_highpage" },
	{ 0x1650f161, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x543585fa, "unlock_page" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xa1920ab3, "thp_get_unmapped_area" },
	{ 0xd7a907fd, "generic_ro_fops" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9f6e2cb3, "set_nlink" },
	{ 0x937d5001, "kmem_cache_free" },
	{ 0x97e9c8d0, "vm_map_ram" },
	{ 0xc6b10e5c, "blkdev_get_by_path" },
	{ 0x380bb3ed, "trace_event_reg" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0xe3a77193, "vmap" },
	{ 0x5a24f0ed, "kobject_init_and_add" },
	{ 0x4bcd04a9, "bio_add_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x73271f0e, "iov_iter_alignment" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd6a0cf0a, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5db45912, "iomap_bmap" },
	{ 0xb23cc9d8, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xad5c377d, "iomap_fiemap" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7098248, "xz_dec_microlzma_alloc" },
	{ 0x15bd7435, "psi_memstall_leave" },
	{ 0x2ec61e84, "make_kgid" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2a179ba3, "bpf_trace_run3" },
	{ 0x3815da2a, "iomap_read_folio" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xea9e5f95, "noop_direct_IO" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3bce4b9, "generic_read_dir" },
	{ 0xd4c911a9, "kobject_del" },
	{ 0x6db7693f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66a74185, "add_to_page_cache_lru" },
	{ 0xe13b8843, "init_user_ns" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x903659b6, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2a358239, "__folio_put" },
	{ 0x73a99ad8, "kobject_set_name" },
	{ 0xfc96dbef, "get_tree_bdev" },
	{ 0x929e95cf, "psi_memstall_enter" },
	{ 0xf5223039, "filemap_read" },
	{ 0x3693883, "__folio_lock" },
	{ 0x8f68f661, "pagecache_get_page" },
	{ 0x22195a58, "seq_puts" },
	{ 0xb3f0de55, "xz_dec_microlzma_run" },
	{ 0xc22a3091, "vm_unmap_aliases" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x443671b2, "generic_fh_to_parent" },
	{ 0x38ef64ac, "__fs_parse" },
	{ 0x74d6bfe8, "filemap_splice_read" },
	{ 0xa11ee74d, "kill_anon_super" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0x7fa24a30, "iget5_locked" },
	{ 0x63ef2671, "kset_register" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x3fd2571, "vm_unmap_ram" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x83066087, "kmem_cache_alloc_lru" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd553562c, "generic_file_llseek" },
	{ 0x659025dd, "iomap_release_folio" },
	{ 0x90e55e50, "bio_alloc_bioset" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0xb0d2e4f1, "iget_failed" },
	{ 0x38a7bab4, "fs_bio_set" },
	{ 0x6ae3ce99, "kmem_cache_destroy" },
	{ 0x2560e252, "kobject_put" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "libcrc32c");


MODULE_INFO(srcversion, "3F589332DF06B6B285CEB4F");

MODULE_INFO(suserelease, "ALP-0.1");
