#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x3622f344, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0xa70cc856, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x80eb8b4d, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x3d799f48, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0x0508628f, "");
SYMBOL_CRC(fuse_abort_conn, 0xc80d2da9, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x9a20d861, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0xc38a213f, "_gpl");
SYMBOL_CRC(fuse_do_open, 0xa095d130, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x53beec9d, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0xa14674b6, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x9c456714, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0xc68edcd1, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x32d54550, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x1768f25f, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x9403c09f, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x4745ba30, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x4840a658, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0xa5a93ad2, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x84b45d2f, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x25d4e59d, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x4956ec15, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x8f2958ba, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x9da48516, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0xa24fa6e1, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x65253a78, "");
SYMBOL_CRC(fuse_do_ioctl, 0x4a0569dc, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0xa84cad9a, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe34c8c08, "super_setup_bdi_name" },
	{ 0xf8dd3304, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x1a49d634, "truncate_inode_pages" },
	{ 0x4cef3c35, "generic_copy_file_range" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x1b0da2b1, "noop_backing_dev_info" },
	{ 0xd6f09ab8, "pipe_lock" },
	{ 0x4e7714ee, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x7db6b4d6, "vfs_fsync_range" },
	{ 0x358ef060, "setattr_prepare" },
	{ 0x6ea4cd68, "clear_nlink" },
	{ 0x2a19cb94, "file_check_and_advance_wb_err" },
	{ 0x7a415d42, "d_alloc_parallel" },
	{ 0x49a4293b, "flush_dcache_page" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x38e94dac, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x5a8fbd3e, "misc_deregister" },
	{ 0x4b33ea71, "make_vfsgid" },
	{ 0xcd4c945a, "clear_inode" },
	{ 0x69d376f7, "inode_to_bdi" },
	{ 0xcb2f4fa5, "find_pid_ns" },
	{ 0x52445211, "grab_cache_page_write_begin" },
	{ 0xf23ac787, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x640d33dd, "pipe_unlock" },
	{ 0x68331ab, "fs_param_is_string" },
	{ 0x1231a365, "folio_unlock" },
	{ 0x9c413b3, "new_inode" },
	{ 0xd663ea21, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0x9c854a10, "dump_page" },
	{ 0x9325f541, "forget_all_cached_acls" },
	{ 0xf518e6cf, "init_special_inode" },
	{ 0x661dfef0, "unregister_filesystem" },
	{ 0xcec70eac, "task_active_pid_ns" },
	{ 0xd7814f22, "iov_iter_single_seg_count" },
	{ 0xac7b8a93, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x7d119db3, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x93f18cf8, "d_alloc_name" },
	{ 0xe85ca48f, "replace_page_cache_folio" },
	{ 0x13838640, "inode_query_iversion" },
	{ 0xd014863b, "iov_iter_advance" },
	{ 0x3faea68, "kill_fasync" },
	{ 0xfaed40f9, "d_make_root" },
	{ 0x5453ae03, "sb_set_blocksize" },
	{ 0x3f8e2378, "fget" },
	{ 0xefc84364, "simple_fill_super" },
	{ 0x39c9d88c, "xas_find" },
	{ 0x2af590f7, "sync_filesystem" },
	{ 0x914c3f67, "noop_dirty_folio" },
	{ 0x95f9de08, "sget_fc" },
	{ 0xed69f9b0, "param_set_uint" },
	{ 0xaeef7078, "d_splice_alias" },
	{ 0xbeb28111, "iov_iter_get_pages2" },
	{ 0xf912d256, "current_time" },
	{ 0x242e78fc, "direct_write_fallback" },
	{ 0x4829a47e, "memcpy" },
	{ 0x9b6328dd, "page_get_link" },
	{ 0xac5e4162, "generic_permission" },
	{ 0xb981fc0, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xa4655f3c, "invalidate_inode_pages2_range" },
	{ 0x46538e89, "posix_lock_file" },
	{ 0x5460667a, "finish_open" },
	{ 0xa536055f, "dax_iomap_rw" },
	{ 0xc028c67c, "iput" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xfd292445, "logfc" },
	{ 0xed8fc659, "__put_devmap_managed_page_refs" },
	{ 0xfde86af5, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xccfa7b46, "init_pid_ns" },
	{ 0x1ff4a6e2, "dax_iomap_fault" },
	{ 0x1dec25fc, "iov_iter_init" },
	{ 0x5c57d774, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xf983b2d7, "sysfs_create_mount_point" },
	{ 0x33494f6a, "generic_file_write_iter" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9506622c, "register_filesystem" },
	{ 0x5ad2dac8, "kmem_cache_create" },
	{ 0xc2ec15b6, "folio_add_lru" },
	{ 0xfb28774a, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xa482da5a, "sync_inode_metadata" },
	{ 0x41ade1a3, "simple_empty" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xba00d2a4, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xf00ab1a4, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0xed50452b, "get_tree_nodev" },
	{ 0x53380c50, "d_mark_dontcache" },
	{ 0x909a4c00, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x81070b16, "fs_param_is_u32" },
	{ 0xaa720ad0, "inode_newsize_ok" },
	{ 0xdae7cb05, "d_drop" },
	{ 0xab1da2de, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x68b06ec, "unlock_new_inode" },
	{ 0xc7efd59d, "cpu_hwcaps" },
	{ 0x92997ed8, "_printk" },
	{ 0x3d9ee9f0, "clear_page" },
	{ 0x7b35d628, "bdi_put" },
	{ 0x456874bf, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x370b5e5b, "param_get_uint" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x5ac19bba, "make_kuid" },
	{ 0x73331a95, "truncate_inode_pages_final" },
	{ 0x91793753, "fs_kobj" },
	{ 0xd3c137eb, "__filemap_set_wb_err" },
	{ 0x7211871c, "simple_dir_operations" },
	{ 0x7ae5a1a6, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x266dc1ec, "__free_pages" },
	{ 0x28dc75c9, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x309f3113, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x69b32285, "setattr_should_drop_suidgid" },
	{ 0x5ddf3508, "capable_wrt_inode_uidgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x149ad66a, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0xedaa0783, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf106e223, "inode_init_once" },
	{ 0x8a58d850, "file_write_and_wait_range" },
	{ 0xdb9e59e8, "compat_ptr_ioctl" },
	{ 0x2f2489ad, "nosteal_pipe_buf_ops" },
	{ 0x273d9a47, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xacc5a621, "inode_nohighmem" },
	{ 0x32bdc06d, "copy_highpage" },
	{ 0x70a3456d, "release_pages" },
	{ 0x7638ee2a, "generic_file_direct_write" },
	{ 0x223613a4, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x1a33506b, "generic_file_read_iter" },
	{ 0xc3083601, "inode_maybe_inc_iversion" },
	{ 0x543585fa, "unlock_page" },
	{ 0x2b41cd14, "inc_node_page_state" },
	{ 0xa1920ab3, "thp_get_unmapped_area" },
	{ 0xa07a37f0, "memchr" },
	{ 0x3c1504a0, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x80fd0bd0, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x4cf0d694, "dec_node_page_state" },
	{ 0xf9b232eb, "write_cache_pages" },
	{ 0x9970207, "file_update_time" },
	{ 0x9f6e2cb3, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x937d5001, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x8ac77a4e, "from_kgid" },
	{ 0xa5b0fd4d, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa15331f1, "file_remove_privs" },
	{ 0x31e044c5, "write_inode_now" },
	{ 0xa8ef254d, "dax_writeback_mapping_range" },
	{ 0xd6a0cf0a, "d_obtain_alias" },
	{ 0x6c6cb059, "file_modified" },
	{ 0x3798b971, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6dfefc91, "finish_no_open" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x1020d367, "__folio_start_writeback" },
	{ 0xb876c9cc, "kill_litter_super" },
	{ 0xa0089cdd, "folio_end_writeback" },
	{ 0x36003de1, "from_kuid" },
	{ 0x984f7365, "current_in_userns" },
	{ 0x2ff99bda, "fc_mount" },
	{ 0xdcb764ad, "memset" },
	{ 0x9f2aedd6, "sysfs_remove_mount_point" },
	{ 0xe21aee83, "misc_register" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2ec61e84, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x5f94b276, "d_delete" },
	{ 0x6c6d7239, "from_kgid_munged" },
	{ 0x5d1d0b33, "end_page_writeback" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x4e297931, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0x84b55e27, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3590c7b7, "nonseekable_open" },
	{ 0x5a697287, "dax_finish_sync_fault" },
	{ 0x63c156ce, "set_page_dirty" },
	{ 0x7a4f96ee, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1c15c47f, "redirty_page_for_writepage" },
	{ 0xea9e5f95, "noop_direct_IO" },
	{ 0xcce69e6e, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3bce4b9, "generic_read_dir" },
	{ 0x2a2bd46a, "d_add" },
	{ 0x8ab3d43c, "set_page_writeback" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x979f3c7c, "param_ops_bool" },
	{ 0xe13b8843, "init_user_ns" },
	{ 0x5c4e4e3, "d_find_alias" },
	{ 0xcfa9d4ee, "invalidate_inode_pages2" },
	{ 0x903659b6, "alloc_pages" },
	{ 0x98a0deab, "inc_nlink" },
	{ 0x2a358239, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfc96dbef, "get_tree_bdev" },
	{ 0x470a3a85, "set_anon_super_fc" },
	{ 0xbcc65769, "seq_printf" },
	{ 0x4e7d967b, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf70c2fd6, "generic_delete_inode" },
	{ 0x65d5e350, "deactivate_locked_super" },
	{ 0xf985832f, "touch_atime" },
	{ 0x63f0d6ca, "__percpu_down_read" },
	{ 0x9f600635, "__d_lookup_unhash_wake" },
	{ 0xac4296a0, "set_page_dirty_lock" },
	{ 0xfb67be61, "pid_nr_ns" },
	{ 0xb069fc88, "generic_file_open" },
	{ 0x1502a04f, "truncate_inode_pages_range" },
	{ 0x8fcfec45, "__put_user_ns" },
	{ 0x3693883, "__folio_lock" },
	{ 0xa616b51d, "filemap_dirty_folio" },
	{ 0x8f68f661, "pagecache_get_page" },
	{ 0x22195a58, "seq_puts" },
	{ 0xf9e365a4, "stream_open" },
	{ 0xdfca1b3f, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xb8273d0b, "__wake_up_sync" },
	{ 0xd8da8818, "add_to_pipe" },
	{ 0x38ef64ac, "__fs_parse" },
	{ 0x6cca03cf, "dax_layout_busy_page_range" },
	{ 0x74d6bfe8, "filemap_splice_read" },
	{ 0xfbd1886e, "posix_acl_to_xattr" },
	{ 0xb604dba5, "dget_parent" },
	{ 0xa11ee74d, "kill_anon_super" },
	{ 0xa151c54b, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x7fa24a30, "iget5_locked" },
	{ 0xf69be65e, "security_dentry_init_security" },
	{ 0xf7e50f70, "filemap_write_and_wait_range" },
	{ 0xb12e9e02, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa75e1ab7, "generic_write_checks" },
	{ 0xa32aa4a9, "iov_iter_revert" },
	{ 0x7c3ff688, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xcb46ad9b, "mntget" },
	{ 0x83066087, "kmem_cache_alloc_lru" },
	{ 0x33b7b3c5, "filemap_fault" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xf2486f8e, "d_invalidate" },
	{ 0xde067dab, "__mark_inode_dirty" },
	{ 0xd553562c, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0x7ada7428, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xb170341b, "drop_nlink" },
	{ 0xf6f40d2e, "fault_in_iov_iter_readable" },
	{ 0x51927651, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0x6da8e48c, "bdi_set_max_ratio" },
	{ 0x6ae3ce99, "kmem_cache_destroy" },
	{ 0x2560e252, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "70DCB6A1292B37026556F4F");

MODULE_INFO(suserelease, "ALP-0.1");
