#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(bt_sock_reclassify_lock, 0x682175b4, "");
SYMBOL_CRC(bt_sock_register, 0x03043d02, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_link, 0xd0432cce, "");
SYMBOL_CRC(bt_sock_unlink, 0x65591762, "");
SYMBOL_CRC(bt_accept_enqueue, 0xf75bd3de, "");
SYMBOL_CRC(bt_accept_unlink, 0x2be8d607, "");
SYMBOL_CRC(bt_accept_dequeue, 0x1b8e072c, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x14482da6, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x62f077a0, "");
SYMBOL_CRC(bt_sock_poll, 0x06b42f66, "");
SYMBOL_CRC(bt_sock_ioctl, 0x890c7fb6, "");
SYMBOL_CRC(bt_sock_wait_state, 0xa4ccf3c0, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x5967d060, "");
SYMBOL_CRC(bt_procfs_init, 0x97128a60, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x4203ee64, "");
SYMBOL_CRC(bt_debugfs, 0xe14533a2, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x5856a9c0, "");
SYMBOL_CRC(hci_free_dev, 0x8d44bb16, "");
SYMBOL_CRC(hci_register_dev, 0xb4a664f5, "");
SYMBOL_CRC(hci_unregister_dev, 0x671b00e0, "");
SYMBOL_CRC(hci_release_dev, 0x96b11695, "");
SYMBOL_CRC(hci_suspend_dev, 0xd80de154, "");
SYMBOL_CRC(hci_resume_dev, 0x1eb9df6e, "");
SYMBOL_CRC(hci_reset_dev, 0xd4af91ed, "");
SYMBOL_CRC(hci_recv_frame, 0xcf9283ba, "");
SYMBOL_CRC(hci_recv_diag, 0xacc3563a, "");
SYMBOL_CRC(hci_set_hw_info, 0xf348b443, "");
SYMBOL_CRC(hci_set_fw_info, 0x61fdd945, "");
SYMBOL_CRC(hci_register_cb, 0x0b223b83, "");
SYMBOL_CRC(hci_unregister_cb, 0x82c42a2b, "");
SYMBOL_CRC(__hci_cmd_send, 0x9099c987, "");
SYMBOL_CRC(hci_get_route, 0x725b5909, "");
SYMBOL_CRC(hci_conn_security, 0xabb99976, "");
SYMBOL_CRC(hci_conn_check_secure, 0xb4ba07ab, "");
SYMBOL_CRC(hci_conn_switch_role, 0xb8036cfd, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0xfcfd4f43, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0xc4119efd, "");
SYMBOL_CRC(l2cap_add_psm, 0x8d5edb6c, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0xdf393519, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x697320a0, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x44b8f183, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0x1d108e4a, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x45529e83, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0xeae4bb00, "");
SYMBOL_CRC(l2cap_register_user, 0xcea49ffd, "");
SYMBOL_CRC(l2cap_unregister_user, 0x0ec9378f, "");
SYMBOL_CRC(l2cap_conn_get, 0xce220e28, "");
SYMBOL_CRC(l2cap_conn_put, 0x5f87b2c0, "");
SYMBOL_CRC(l2cap_chan_send, 0x1c3b3ad7, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0xcecce11e, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x6ebae397, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x5c178ee4, "");
SYMBOL_CRC(__hci_cmd_sync, 0xc03801b1, "");
SYMBOL_CRC(hci_cmd_sync, 0xa5a00d84, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x0b63e12e, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x58e117d7, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x6e9dfd3f, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x3660fd44, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x1ffb319f, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0xc1967842, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0xd7b1adb6, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x6ec6ac08, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0xceda3ad2, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0x412fbe9b, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0x0f927a2b, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0xbe324fe6, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x1237bb97, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0xc426a4b7, "");
SYMBOL_CRC(hci_devcd_init, 0x5b71cc73, "");
SYMBOL_CRC(hci_devcd_append, 0x212f8e3f, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0xa045d443, "");
SYMBOL_CRC(hci_devcd_complete, 0xc159d5db, "");
SYMBOL_CRC(hci_devcd_abort, 0x40b1cc47, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x7b73afbb, "skb_free_datagram" },
	{ 0x7818e45a, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xcb9f7172, "try_module_get" },
	{ 0x70699cc4, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xaca3ee21, "devm_kmalloc" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x64888a76, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x77687738, "dev_set_name" },
	{ 0x20220713, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x400ed3ad, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x689cd19b, "led_trigger_register_simple" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x6e081985, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x60987d14, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x7ba675d1, "sock_no_connect" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x72a1e70, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xb5e4a91d, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa898f1b4, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0xba9ed1de, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x42bfc18d, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3f173491, "put_cmsg" },
	{ 0xcafb2d17, "skb_queue_purge_reason" },
	{ 0xf814ce9f, "crypto_destroy_tfm" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xc7efd59d, "cpu_hwcaps" },
	{ 0x92997ed8, "_printk" },
	{ 0xf2732519, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x885c9a5d, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xccc1f4d6, "sock_register" },
	{ 0x9b0e12b6, "datagram_poll" },
	{ 0xa42ea8fb, "__sock_recv_cmsgs" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x70765a7f, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x51ae029c, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xf2af97e6, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa2da916b, "skb_queue_tail" },
	{ 0x431d1ac, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x89c44209, "__sock_recv_timestamp" },
	{ 0x97bd0456, "sock_no_shutdown" },
	{ 0x96314e7c, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe0946436, "devm_kfree" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xf02000e8, "init_net" },
	{ 0xa5a9b198, "crypto_shash_setkey" },
	{ 0x907ee0a5, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6112f6d0, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5305938b, "init_uts_ns" },
	{ 0xe321f59f, "sk_free" },
	{ 0x6bc16d50, "device_move" },
	{ 0x113598e9, "kfree_skb_reason" },
	{ 0x6095c626, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xaf0fe7f5, "skb_push" },
	{ 0x9973f5b6, "sock_no_listen" },
	{ 0xfaef5280, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xeb22878a, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xfa7ff735, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x4861c1dd, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x6a6d6bc6, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3d3e4c2, "lock_sock_nested" },
	{ 0x2eb7e19b, "device_find_child" },
	{ 0x9b0981c7, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5265ab80, "skb_copy_datagram_iter" },
	{ 0x98adff7d, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5c966f37, "sk_alloc" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x2a9cf3e4, "device_del" },
	{ 0x7ca0e44c, "__sock_queue_rcv_skb" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xed5bde6a, "__sock_recv_wifi_status" },
	{ 0x36003de1, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x69ce0553, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf0195f8d, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x600a22a2, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x1d273b18, "__pskb_pull_tail" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x8533621c, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x5f711674, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8629030d, "devm_kasprintf" },
	{ 0xda555714, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x23bdcb5e, "sock_i_ino" },
	{ 0x14310623, "debugfs_create_file" },
	{ 0x30570114, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3c7d38ac, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x979f3c7c, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xcb7eb225, "skb_recv_datagram" },
	{ 0xb84c5f7, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x59169b2c, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbcc65769, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xce17dc5c, "skb_copy" },
	{ 0xeef12470, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x680ecb8a, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x64c00771, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x22195a58, "seq_puts" },
	{ 0xe85c71c0, "sock_gettstamp" },
	{ 0xd5a521cb, "single_release" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0xc3b48532, "led_trigger_event" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xa32aa4a9, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3ece6096, "proc_create_seq_private" },
	{ 0x75c4fbbb, "single_open" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x8a78149d, "crypto_alloc_shash" },
	{ 0x189af697, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe5742853, "fwnode_property_read_u8_array" },
	{ 0x45c76826, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1c5b3da1, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcda55f70, "__dev_fwnode" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd91fa5a3, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x835282c4, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic,rfkill");


MODULE_INFO(srcversion, "C6D693F76E0B562840AB811");

MODULE_INFO(suserelease, "ALP-0.1");
