#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x7b73afbb, "skb_free_datagram" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x53dea1ff, "ax2asc" },
	{ 0x84f98aa5, "ax25_linkfail_register" },
	{ 0xee02e420, "ax25_findbyuid" },
	{ 0x64888a76, "skb_put" },
	{ 0x3856b485, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc1444946, "ax25cmp" },
	{ 0x14cecd59, "ax25_display_timer" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x48cb3358, "consume_skb" },
	{ 0x4dbd60a6, "unregister_netdev" },
	{ 0x400ed3ad, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x59b1e2a5, "ax25_listen_register" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8ede9e26, "ax25_protocol_release" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc42d4c3, "__dev_get_by_name" },
	{ 0xcafb2d17, "skb_queue_purge_reason" },
	{ 0x9ab546e9, "dev_addr_mod" },
	{ 0xfb9b2c0c, "alloc_netdev_mqs" },
	{ 0xc7efd59d, "cpu_hwcaps" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x885c9a5d, "proto_unregister" },
	{ 0x1000e51, "schedule" },
	{ 0xccc1f4d6, "sock_register" },
	{ 0x9b0e12b6, "datagram_poll" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x51ae029c, "__alloc_skb" },
	{ 0x2acdf620, "sk_reset_timer" },
	{ 0xf2af97e6, "proto_register" },
	{ 0xc83bfbf1, "ax25_send_frame" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa2da916b, "skb_queue_tail" },
	{ 0x97bd0456, "sock_no_shutdown" },
	{ 0x96314e7c, "sk_filter_trim_cap" },
	{ 0xf02000e8, "init_net" },
	{ 0x907ee0a5, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x242852b9, "ax25_uid_policy" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe321f59f, "sk_free" },
	{ 0x113598e9, "kfree_skb_reason" },
	{ 0xaf0fe7f5, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd794af85, "register_netdev" },
	{ 0xd43ecbf1, "null_ax25_address" },
	{ 0x8830692e, "free_netdev" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x478cbfc2, "ax25_listen_release" },
	{ 0x3d3e4c2, "lock_sock_nested" },
	{ 0x5265ab80, "skb_copy_datagram_iter" },
	{ 0x726c7ddb, "ax25_find_cb" },
	{ 0x5c966f37, "sk_alloc" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x7ca0e44c, "__sock_queue_rcv_skb" },
	{ 0x69ce0553, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x600a22a2, "sock_no_mmap" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8dfd7a24, "ax25_register_pid" },
	{ 0xe1a501a6, "skb_set_owner_w" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xcb7eb225, "skb_recv_datagram" },
	{ 0x8e990819, "ax25_linkfail_release" },
	{ 0xb84c5f7, "sock_alloc_send_pskb" },
	{ 0x59169b2c, "remove_proc_entry" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xbcc65769, "seq_printf" },
	{ 0xeef12470, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x680ecb8a, "_copy_from_iter" },
	{ 0x22195a58, "seq_puts" },
	{ 0xe85c71c0, "sock_gettstamp" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xe631892d, "sk_stop_timer" },
	{ 0x2f08e502, "send_sig" },
	{ 0xd53c67b3, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4502c65a, "asc2ax" },
	{ 0x4210af1a, "param_ops_int" },
	{ 0xa32aa4a9, "iov_iter_revert" },
	{ 0xc537fa34, "skb_append" },
	{ 0x3ece6096, "proc_create_seq_private" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1c5b3da1, "sock_init_data" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0xd91fa5a3, "release_sock" },
	{ 0x835282c4, "skb_queue_head" },
	{ 0x2cdf87a1, "proc_dointvec_minmax" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "ax25");


MODULE_INFO(srcversion, "38267F28206892AEF166111");

MODULE_INFO(suserelease, "ALP-0.1");
