#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x25316de0, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x74a323fd, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xa2dc6fc3, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0xaf2371cd, "");
SYMBOL_CRC(gss_mech_put, 0xee3807eb, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xf720eaef, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x34fe6ab5, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe844dae3, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xcb9f7172, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5ff65595, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0xef0ba319, "xdr_buf_from_iov" },
	{ 0xaba0b4aa, "bpf_trace_run4" },
	{ 0x4122554d, "xdr_stream_decode_opaque_auth" },
	{ 0xe3edda5c, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x82f19c08, "xdr_write_pages" },
	{ 0x5f5f8584, "rpc_shutdown_client" },
	{ 0xe98e3053, "auth_domain_find" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xaae509ea, "xdr_inline_decode" },
	{ 0x5df0af67, "cache_create_net" },
	{ 0xdd98d34a, "rpcauth_destroy_credcache" },
	{ 0x1b4830a9, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8114d93a, "bpf_trace_run6" },
	{ 0xde94fb85, "rpc_net_ns" },
	{ 0xf42642e9, "read_bytes_from_xdr_buf" },
	{ 0x445e9660, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x71bc40e3, "rpc_wake_up" },
	{ 0xdddd1b76, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xe6f838ea, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x64295e47, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xed8fc659, "__put_devmap_managed_page_refs" },
	{ 0x7558dc83, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0xd91e32df, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x703a179c, "xdr_truncate_decode" },
	{ 0x930ad93d, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc7feab06, "__xdr_commit_encode" },
	{ 0xa898f1b4, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x803e4fcc, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x36e26217, "__put_cred" },
	{ 0xe809e40d, "register_pernet_subsys" },
	{ 0xff1566be, "trace_event_buffer_commit" },
	{ 0x95e8491a, "cache_purge" },
	{ 0xc7efd59d, "cpu_hwcaps" },
	{ 0x92997ed8, "_printk" },
	{ 0x55f72f67, "rpc_release_client" },
	{ 0xdbfe218f, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x34d184de, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x78943710, "svc_auth_register" },
	{ 0x962e49e7, "xdr_stream_encode_opaque_auth" },
	{ 0x5ac19bba, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xdc123f54, "rpc_destroy_pipe_data" },
	{ 0x266dc1ec, "__free_pages" },
	{ 0x6b503a4c, "rpc_pipe_generic_upcall" },
	{ 0x431d1ac, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x655bd4fa, "cache_unregister_net" },
	{ 0x6dcabc3, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x1650f161, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7e6755e2, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xb0a9a55b, "rpcauth_init_credcache" },
	{ 0x999af08d, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x738f0a35, "xdr_init_decode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x380bb3ed, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xaafdfb81, "rpc_call_null" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1aad90c3, "rpc_sleep_on_timeout" },
	{ 0x1479109d, "rpc_create" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0xb23cc9d8, "bpf_trace_run1" },
	{ 0x6dbbffd6, "rpc_call_sync" },
	{ 0x36003de1, "from_kuid" },
	{ 0x2910a98b, "unregister_pernet_subsys" },
	{ 0xb6d8afb0, "rpc_queue_upcall" },
	{ 0xbdf45bac, "xdr_encode_word" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xaad9a6c3, "cache_check" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0xb30236de, "svcauth_unix_set_client" },
	{ 0x153a91f9, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x2ec61e84, "make_kgid" },
	{ 0xac63bae6, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x4abf63f3, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3590c7b7, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2a179ba3, "bpf_trace_run3" },
	{ 0x5d60df79, "__put_net" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0xf4d2cea0, "rpc_mkpipe_dentry" },
	{ 0x85b1c3e4, "rpc_mkpipe_data" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xbaf83ee, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6db7693f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0xeeeb52cc, "cache_register_net" },
	{ 0xe13b8843, "init_user_ns" },
	{ 0x903659b6, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x917ce129, "xdr_inline_pages" },
	{ 0x2a358239, "__folio_put" },
	{ 0x59169b2c, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0xf0b7775d, "rpc_init_wait_queue" },
	{ 0x1e5289de, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x695229d9, "rpc_unlink" },
	{ 0xd42d92d6, "rpcauth_wrap_req_encode" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0xa151c54b, "from_kuid_munged" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0xb9b718e9, "rpcauth_init_cred" },
	{ 0xad1f9258, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xf7484472, "cache_destroy_net" },
	{ 0x98cf60b3, "strlen" },
	{ 0xcf0293b3, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x9905bc59, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x71ade6c7, "sunrpc_cache_update" },
	{ 0x56ca264a, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66ed2439, "rpc_destroy_wait_queue" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x44a60174, "auth_domain_put" },
	{ 0x8eec28c3, "rpcauth_unwrap_resp_decode" },
	{ 0xc2a061ac, "rpcauth_register" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "442D20FD55D123F4807A85A");

MODULE_INFO(suserelease, "ALP-0.1");
