#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4aa6a24, "snd_hda_add_new_ctls" },
	{ 0x7bf62311, "snd_hda_gen_build_controls" },
	{ 0x26b72112, "snd_hda_gen_mic_autoswitch" },
	{ 0xa70d89f2, "query_amp_caps" },
	{ 0x36f985fa, "snd_hda_mixer_amp_volume_info" },
	{ 0xe51875be, "snd_hdac_regmap_read_raw" },
	{ 0x7013794d, "snd_hda_jack_detect_state_mst" },
	{ 0xcb616028, "snd_hda_gen_spec_init" },
	{ 0xcc295e80, "snd_hda_mixer_amp_switch_info" },
	{ 0xeb8a687, "hda_codec_driver_unregister" },
	{ 0x57ca4ab9, "snd_hda_add_new_path" },
	{ 0x9f7b3af7, "snd_hdac_codec_write" },
	{ 0x7a2ed874, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xd5f3aeef, "snd_hda_gen_add_kctl" },
	{ 0x5a86cc84, "__dynamic_dev_dbg" },
	{ 0x32bac7eb, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0xf8513293, "_snd_hdac_read_parm" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xac68cb33, "_dev_info" },
	{ 0x9e6ef739, "snd_ctl_boolean_mono_info" },
	{ 0xcaf80ead, "snd_hda_override_amp_caps" },
	{ 0x3b136481, "__hda_codec_driver_register" },
	{ 0xd112eca, "snd_hda_jack_set_gating_jack" },
	{ 0x596bebba, "snd_hda_parse_pin_defcfg" },
	{ 0x83eb4b65, "snd_hda_gen_init" },
	{ 0x6534cc1d, "snd_hda_activate_path" },
	{ 0x40b805dc, "snd_hda_gen_add_micmute_led_cdev" },
	{ 0x948b2593, "snd_hdac_regmap_add_vendor_verb" },
	{ 0x8c97a90d, "snd_hda_codec_set_pin_target" },
	{ 0xb6fbf82c, "snd_hda_gen_check_power_status" },
	{ 0xc58ea290, "snd_hdac_regmap_write_raw" },
	{ 0x4147599, "snd_hda_mixer_amp_volume_get" },
	{ 0xdcb764ad, "memset" },
	{ 0x95f7969c, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0xdd7407a5, "snd_hda_get_path_from_idx" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4a857f9c, "snd_hda_gen_update_outputs" },
	{ 0x7f331505, "snd_hda_jack_unsol_event" },
	{ 0x5cd49aa8, "snd_hda_gen_shutup_speakers" },
	{ 0x23b8dcd5, "snd_hda_gen_build_pcms" },
	{ 0x68ae44a5, "snd_hda_mixer_amp_tlv" },
	{ 0x84a698c6, "snd_hda_pick_fixup" },
	{ 0x67ae5400, "snd_hda_apply_fixup" },
	{ 0x3a1eba6e, "snd_hda_gen_parse_auto_config" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0x373c1d70, "snd_hdac_codec_read" },
	{ 0x4f133ed3, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0xe0e266c7, "snd_hda_codec_get_pin_target" },
	{ 0x70171075, "snd_hda_gen_free" },
	{ 0xb78b42e1, "snd_hda_gen_add_mute_led_cdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F11F87r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F120D0r*a01*");
MODULE_ALIAS("hdaudio:v14F120D1r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "DF069482A4013BF22BF6B34");

MODULE_INFO(suserelease, "ALP-0.1");
