#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cs35l45_probe, 0xc03ea491, "_gpl");
SYMBOL_CRC(cs35l45_remove, 0xb3da2947, "_gpl");
SYMBOL_CRC(cs35l45_pm_ops, 0x99a8d397, "_gpl");
SYMBOL_CRC(cs35l45_apply_patch, 0x5aafd256, "_gpl");
SYMBOL_CRC(cs35l45_i2c_regmap, 0x29cdb333, "_gpl");
SYMBOL_CRC(cs35l45_spi_regmap, 0x6af5727f, "_gpl");
SYMBOL_CRC(cs35l45_get_clk_freq_id, 0x3431c8ad, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd74e8d41, "snd_soc_dapm_put_enum_double" },
	{ 0x36734b3f, "wm_adsp_fw_put" },
	{ 0x36070e07, "regulator_enable" },
	{ 0xabf60a70, "regcache_cache_only" },
	{ 0x1af7fa81, "regcache_sync" },
	{ 0x14732042, "regmap_write" },
	{ 0xf420049e, "devm_request_threaded_irq" },
	{ 0x9a52f7e0, "of_node_put" },
	{ 0x6cd79059, "of_property_read_variable_u32_array" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf6a40256, "pm_runtime_set_autosuspend_delay" },
	{ 0xd2bedc51, "gpiod_set_value_cansleep" },
	{ 0x52321377, "wm_adsp2_remove" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x8d42d3fe, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xab64fca0, "devm_gpiod_get_optional" },
	{ 0x5a86cc84, "__dynamic_dev_dbg" },
	{ 0xbb1c4c6, "__pm_runtime_set_status" },
	{ 0xdac34664, "devm_snd_soc_register_component" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x1a17bea5, "pm_runtime_enable" },
	{ 0xf6ed2aa9, "device_property_read_u32_array" },
	{ 0x1f95f1df, "devm_regulator_get" },
	{ 0xac68cb33, "_dev_info" },
	{ 0x291a774d, "snd_soc_info_volsw" },
	{ 0x394bc718, "of_get_child_by_name" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0xfb65b35a, "wm_adsp_event" },
	{ 0xd4ab0ad3, "wm_adsp_fw_enum" },
	{ 0xdcb764ad, "memset" },
	{ 0x5d8b79e1, "_dev_warn" },
	{ 0xa2587ee5, "wm_adsp2_component_probe" },
	{ 0xb551615d, "wm_adsp2_preloader_put" },
	{ 0x800a3acf, "wm_adsp2_preloader_get" },
	{ 0xaa24ea3c, "snd_soc_info_enum_double" },
	{ 0x88ef5224, "wm_adsp2_component_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4a2999a8, "devm_regmap_add_irq_chip" },
	{ 0xceb2a775, "snd_soc_get_volsw" },
	{ 0xc7e199c0, "regmap_read" },
	{ 0x19c2a3bc, "snd_soc_put_volsw" },
	{ 0x32810ad, "wm_adsp_fw_get" },
	{ 0x28f70064, "__pm_runtime_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4b858a97, "regmap_bulk_read" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xe0e2729e, "regmap_update_bits_base" },
	{ 0xbad3fae8, "regulator_disable" },
	{ 0x34351161, "dev_err_probe" },
	{ 0x23554eb8, "regmap_multi_reg_write" },
	{ 0xed977728, "__pm_runtime_suspend" },
	{ 0xa9762113, "regmap_register_patch" },
	{ 0xf5aa2b34, "snd_soc_dapm_get_enum_double" },
	{ 0xfe9bca61, "__pm_runtime_use_autosuspend" },
	{ 0x4960f346, "wm_halo_init" },
	{ 0xbbbac1c9, "wm_adsp_early_event" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xff8a4a7e, "__pm_runtime_disable" },
	{ 0x4fa1782d, "snd_soc_tdm_params_to_bclk" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "B2CDE7550098D5749DEEBA5");

MODULE_INFO(suserelease, "ALP-0.1");
