#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mhi_register_controller, 0xe82eb992, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0x63b1c06f, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x1d1e0e7c, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0xe4551312, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0xb307c9fa, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0x4d4877e4, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0x5f2e604b, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0x7e9eac69, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0x2e7ef16d, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0x9bdda3d2, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0xfcf1fdb1, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0x7b72fb18, "_gpl");
SYMBOL_CRC(mhi_notify, 0x70da1921, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0x3f89c509, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x2e03a08c, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0x5e2c5c97, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0xac92b08a, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0x9c54c06a, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0x7d54f3b2, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0xfff5dd49, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0x293aebdb, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0xb056ae88, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0xa1b6a5ea, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0xfdfbfac7, "_gpl");
SYMBOL_CRC(mhi_power_down, 0xec9336e2, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0x8f502767, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0x5c33ba2e, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x05e6bb71, "_gpl");
SYMBOL_CRC(mhi_device_get, 0x79855d4a, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0x60ebcc2e, "_gpl");
SYMBOL_CRC(mhi_device_put, 0x18b0739c, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0xe219c9c0, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x48112d76, "_raw_read_lock_irq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x6ea31352, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77687738, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa58af0a6, "_raw_read_unlock_irq" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x21d29ae4, "dma_unmap_page_attrs" },
	{ 0x72645363, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x6e081985, "device_initialize" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x703b7c6, "device_for_each_child" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba9ed1de, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5a86cc84, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0x6272b9c3, "dev_driver_string" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x181dc161, "dma_map_page_attrs" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8f717020, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x70765a7f, "put_device" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xac68cb33, "_dev_info" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d092136, "bus_unregister" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0xf2160d6c, "device_wakeup_enable" },
	{ 0x6112f6d0, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x43f8ecd4, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xffb7c514, "ida_free" },
	{ 0xedd7bd1a, "driver_unregister" },
	{ 0x18b48e28, "__memset_io" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2a9cf3e4, "device_del" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0xdcb764ad, "memset" },
	{ 0x5d8b79e1, "_dev_warn" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4d0df2ed, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x4b68f21f, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0x80d1a666, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0A9004A6BDD663062DE67A5");

MODULE_INFO(suserelease, "ALP-0.1");
