#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(caam_jr_alloc, 0x56c809e2, "");
SYMBOL_CRC(caam_jr_free, 0x59fde235, "");
SYMBOL_CRC(caam_jr_enqueue, 0x78388af6, "");
SYMBOL_CRC(split_key_done, 0xd66f9569, "");
SYMBOL_CRC(gen_split_key, 0x5423694d, "");
SYMBOL_CRC(caam_process_blob, 0x3803dfab, "");
SYMBOL_CRC(caam_blob_gen_init, 0xfc157785, "");
SYMBOL_CRC(caam_blob_gen_exit, 0xea6fe7c3, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1ff708a0, "crypto_skcipher_encrypt" },
	{ 0x55a22781, "crypto_finalize_akcipher_request" },
	{ 0xbd67c092, "caam_imx" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xce06ec57, "crypto_register_rng" },
	{ 0x44ae4bc4, "qi_cache_free" },
	{ 0x23ddb465, "devres_release_group" },
	{ 0xf420049e, "devm_request_threaded_irq" },
	{ 0x106d7230, "caam_drv_ctx_init" },
	{ 0x531e080f, "devres_close_group" },
	{ 0xaca3ee21, "devm_kmalloc" },
	{ 0x86bcdec7, "cnstr_shdsc_xts_skcipher_decap" },
	{ 0x296b8bbf, "__kfifo_dma_in_prepare" },
	{ 0x2d1352de, "platform_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x940631fe, "dmam_alloc_attrs" },
	{ 0x60dbc82a, "caam_dump_sg" },
	{ 0xc0eaa792, "qi_cache_alloc" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7b7bcab8, "cnstr_shdsc_rfc4543_encap" },
	{ 0x21d29ae4, "dma_unmap_page_attrs" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x7b0c587f, "cnstr_shdsc_rfc4543_decap" },
	{ 0x87fbe12c, "devm_ioremap" },
	{ 0x65467dfb, "dma_sync_single_for_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa374af59, "crypto_register_aead" },
	{ 0xff3f5fbf, "crypto_unregister_aead" },
	{ 0x3c7a744b, "crypto_finalize_skcipher_request" },
	{ 0x37a0cba, "kfree" },
	{ 0xc964a7b5, "crypto_engine_exit" },
	{ 0xa3115081, "cnstr_shdsc_skcipher_decap" },
	{ 0xcf844d75, "crypto_skcipher_setkey" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x5a86cc84, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb5571dbf, "cnstr_shdsc_ahash" },
	{ 0x6272b9c3, "dev_driver_string" },
	{ 0x23946ee9, "crypto_unregister_ahash" },
	{ 0xf814ce9f, "crypto_destroy_tfm" },
	{ 0x53d0fc97, "caam_ptr_sz" },
	{ 0x181dc161, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x6ad51830, "crypto_transfer_akcipher_request_to_engine" },
	{ 0x76a68e3e, "cnstr_shdsc_chachapoly" },
	{ 0x535d352f, "crypto_finalize_hash_request" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x37734e06, "caam_dpaa2" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa9df711, "crypto_skcipher_decrypt" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0xac68cb33, "_dev_info" },
	{ 0x91ac0969, "cnstr_shdsc_aead_encap" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfd807e48, "cnstr_shdsc_rfc4106_decap" },
	{ 0xfb9a40b4, "crypto_transfer_hash_request_to_engine" },
	{ 0xb299d965, "sg_miter_next" },
	{ 0x3b54a9ad, "cnstr_shdsc_aead_decap" },
	{ 0xc650e6b, "crypto_register_skcipher" },
	{ 0xfe1c39e0, "crypto_unregister_rng" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0x2e152bb7, "cnstr_shdsc_xts_skcipher_encap" },
	{ 0x540bc908, "crypto_unregister_akcipher" },
	{ 0xa340e264, "cnstr_shdsc_aead_givencap" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xb7edd7b9, "platform_get_resource" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0x6e5ce0c8, "caam_qi_enqueue" },
	{ 0x942397be, "crypto_register_ahash" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x81196e7b, "sg_miter_stop" },
	{ 0xf8cc014c, "crypto_engine_start" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc874b0, "crypto_unregister_skcipher" },
	{ 0xbcc23105, "devres_open_group" },
	{ 0xfb0a4e6e, "sg_miter_start" },
	{ 0xdcb764ad, "memset" },
	{ 0x5d8b79e1, "_dev_warn" },
	{ 0xe71c0e80, "crypto_transfer_aead_request_to_engine" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x81cb0026, "__platform_driver_register" },
	{ 0xaf0b9cfa, "dma_set_coherent_mask" },
	{ 0xa8fb743d, "des_expand_key" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x5d6e3345, "crypto_finalize_aead_request" },
	{ 0x17572340, "caam_congested" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xaa404747, "caam_drv_ctx_rel" },
	{ 0xfac85f10, "of_device_is_compatible" },
	{ 0xf92c5da5, "cnstr_shdsc_gcm_decap" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x88430d4c, "cnstr_shdsc_aead_null_encap" },
	{ 0xde16826c, "caam_strstatus" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf95bcf62, "cnstr_shdsc_gcm_encap" },
	{ 0xebcdd349, "cnstr_shdsc_skcipher_encap" },
	{ 0xa99d7fa6, "cnstr_shdsc_aead_null_decap" },
	{ 0x6e6f59ae, "crypto_transfer_skcipher_request_to_engine" },
	{ 0xa51f16c7, "caam_little_end" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x5939c646, "dma_set_mask" },
	{ 0xfdf7ec8f, "cnstr_shdsc_rfc4106_encap" },
	{ 0x9ea238b7, "dma_unmap_sg_attrs" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0xfbfd1325, "__devm_add_action" },
	{ 0x30a1e372, "cnstr_shdsc_sk_hash" },
	{ 0x197b3766, "irq_of_parse_and_map" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x1cd38397, "crypto_register_akcipher" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x80a095d8, "scatterwalk_ffwd" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0x47ec112d, "devm_hwrng_register" },
	{ 0x9ab7b145, "crypto_engine_alloc_init_and_set" },
	{ 0x38268a67, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x764ca05d, "caam_drv_ctx_update" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xdcf52e0b, "crypto_alloc_skcipher" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "crypto_engine,error,caam,caamalg_desc,caamhash_desc,authenc,libdes");

MODULE_ALIAS("of:N*T*Cfsl,sec-v4.0-job-ring");
MODULE_ALIAS("of:N*T*Cfsl,sec-v4.0-job-ringC*");
MODULE_ALIAS("of:N*T*Cfsl,sec4.0-job-ring");
MODULE_ALIAS("of:N*T*Cfsl,sec4.0-job-ringC*");

MODULE_INFO(srcversion, "0DF22DA110EB1769D9837A3");

MODULE_INFO(suserelease, "ALP-0.1");
