#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1ff708a0, "crypto_skcipher_encrypt" },
	{ 0xbc7574ff, "crypto_alloc_ahash" },
	{ 0xcbf4612d, "devm_platform_ioremap_resource" },
	{ 0xf420049e, "devm_request_threaded_irq" },
	{ 0xaca3ee21, "devm_kmalloc" },
	{ 0x2d1352de, "platform_driver_unregister" },
	{ 0xd360c0da, "platform_get_irq" },
	{ 0xa6257a2f, "complete" },
	{ 0xf6a40256, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x3c7a744b, "crypto_finalize_skcipher_request" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xc964a7b5, "crypto_engine_exit" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcf844d75, "crypto_skcipher_setkey" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x23946ee9, "crypto_unregister_ahash" },
	{ 0x9e7ac35a, "devm_reset_control_array_get" },
	{ 0xf814ce9f, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xbb1c4c6, "__pm_runtime_set_status" },
	{ 0x7b5a4926, "sha1_zero_message_hash" },
	{ 0x535d352f, "crypto_finalize_hash_request" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa9df711, "crypto_skcipher_decrypt" },
	{ 0x1a17bea5, "pm_runtime_enable" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0xac68cb33, "_dev_info" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0xfb9a40b4, "crypto_transfer_hash_request_to_engine" },
	{ 0xc650e6b, "crypto_register_skcipher" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x942397be, "crypto_register_ahash" },
	{ 0xf8cc014c, "crypto_engine_start" },
	{ 0xc874b0, "crypto_unregister_skcipher" },
	{ 0x18b48e28, "__memset_io" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xabcd8603, "crypto_ahash_finup" },
	{ 0xdcb764ad, "memset" },
	{ 0x5d8b79e1, "_dev_warn" },
	{ 0xb38ee17a, "crypto_ahash_digest" },
	{ 0x4850c882, "crypto_ahash_final" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x81cb0026, "__platform_driver_register" },
	{ 0xa8fb743d, "des_expand_key" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x1fa1d95c, "sha256_zero_message_hash" },
	{ 0x28f70064, "__pm_runtime_resume" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5d208ed0, "crypto_engine_alloc_init" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xff613350, "devm_clk_bulk_get_all" },
	{ 0x6e6f59ae, "crypto_transfer_skcipher_request_to_engine" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0x9ea238b7, "dma_unmap_sg_attrs" },
	{ 0xed977728, "__pm_runtime_suspend" },
	{ 0xfe9bca61, "__pm_runtime_use_autosuspend" },
	{ 0x62d3a5b6, "of_device_get_match_data" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xff8a4a7e, "__pm_runtime_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf749debc, "md5_zero_message_hash" },
	{ 0x38268a67, "dma_map_sg_attrs" },
	{ 0xdcf52e0b, "crypto_alloc_skcipher" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "crypto_engine,libdes");

MODULE_ALIAS("of:N*T*Crockchip,rk3288-crypto");
MODULE_ALIAS("of:N*T*Crockchip,rk3288-cryptoC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3328-crypto");
MODULE_ALIAS("of:N*T*Crockchip,rk3328-cryptoC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3399-crypto");
MODULE_ALIAS("of:N*T*Crockchip,rk3399-cryptoC*");

MODULE_INFO(srcversion, "55B973834488F4164E94B56");

MODULE_INFO(suserelease, "ALP-0.1");
