#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x56e53efe, "pin_user_pages_fast" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x344abc3e, "ib_umem_release" },
	{ 0xd6d6620f, "pcie_capability_write_word" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x680e3cfd, "__rdma_block_iter_start" },
	{ 0x1f13faf1, "dma_pool_create" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xefe21e70, "pci_enable_device" },
	{ 0x7fd161ee, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x540031e, "pci_dev_put" },
	{ 0x6644920a, "mult_to_ib_rate" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe9e799fc, "ib_ud_header_pack" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2f8a8aa9, "pci_get_device" },
	{ 0x21d29ae4, "dma_unmap_page_attrs" },
	{ 0x73baf9a2, "ib_modify_qp_is_ok" },
	{ 0x11cfaf22, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x65467dfb, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x944b640e, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x76d76176, "remap_pfn_range" },
	{ 0x61373fd2, "__rdma_block_iter_next" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x166cbc42, "pci_irq_vector" },
	{ 0x77656e9f, "_ib_alloc_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa0ffc0f, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xc2b90665, "rdma_create_ah" },
	{ 0x8aab2c4c, "pci_read_config_dword" },
	{ 0x875efe85, "ib_unregister_device" },
	{ 0x181dc161, "dma_map_page_attrs" },
	{ 0xc7efd59d, "cpu_hwcaps" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x3d9ee9f0, "clear_page" },
	{ 0x1000e51, "schedule" },
	{ 0x39c69023, "ib_register_device" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xa916b694, "strnlen" },
	{ 0x266dc1ec, "__free_pages" },
	{ 0xac68cb33, "_dev_info" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x976e4b35, "ib_unregister_mad_agent" },
	{ 0x8143c969, "pci_find_capability" },
	{ 0x3aa2610, "ib_post_send_mad" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xf26874de, "ib_create_send_mad" },
	{ 0x4d1505de, "ib_dispatch_event" },
	{ 0xb7852a05, "ib_ud_header_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0xac4a24, "ib_get_cached_pkey" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0xf8d560d3, "ib_umem_get" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x16c12971, "pcix_get_max_mmrbc" },
	{ 0x43f8ecd4, "dma_alloc_attrs" },
	{ 0x2645074c, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x5987bc79, "ib_rate_to_mult" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0xb1c18167, "dma_sync_single_for_cpu" },
	{ 0xdcb764ad, "memset" },
	{ 0x5d8b79e1, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xc3d6a591, "unpin_user_page" },
	{ 0xe7eb6635, "pci_set_master" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb81b4fe6, "rdma_destroy_ah_user" },
	{ 0xeb111cd4, "ib_dealloc_device" },
	{ 0xd0725b84, "ib_free_send_mad" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaf0b9cfa, "dma_set_coherent_mask" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x4d0df2ed, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xaec28ae, "pci_release_regions" },
	{ 0x903659b6, "alloc_pages" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x17760a08, "pci_disable_device" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x94a0a44b, "pcie_set_readrq" },
	{ 0x8f9016f0, "ib_register_mad_agent" },
	{ 0x5939c646, "dma_set_mask" },
	{ 0x9ea238b7, "dma_unmap_sg_attrs" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x4210af1a, "param_ops_int" },
	{ 0x802f4b73, "_dev_printk" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeee26db, "pci_free_irq_vectors" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x982e66d2, "pcix_set_mmrbc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3f86ee57, "pci_write_config_dword" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0x9338322f, "ib_set_device_ops" },
	{ 0x38268a67, "dma_map_sg_attrs" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "ib_uverbs,ib_core");

MODULE_ALIAS("pci:v000015B3d00005A44sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00005A44sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006278sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00006278sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006282sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00006282sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006274sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00006274sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00005E8Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00005E8Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "4B0CE5BD60B61E3A5D33F42");

MODULE_INFO(suserelease, "ALP-0.1");
