#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(smscore_translate_msg, 0x34bf0e61, "_gpl");
SYMBOL_CRC(smscore_set_board_id, 0xd0c237bd, "_gpl");
SYMBOL_CRC(smscore_get_board_id, 0xffc83202, "_gpl");
SYMBOL_CRC(smscore_registry_getmode, 0x21e36bf2, "_gpl");
SYMBOL_CRC(smscore_register_hotplug, 0xcad2e780, "_gpl");
SYMBOL_CRC(smscore_unregister_hotplug, 0xcbe7246c, "_gpl");
SYMBOL_CRC(smscore_register_device, 0xd5761ec7, "_gpl");
SYMBOL_CRC(smscore_start_device, 0xda273f7f, "_gpl");
SYMBOL_CRC(smscore_unregister_device, 0xfa8ebd55, "_gpl");
SYMBOL_CRC(smscore_get_device_mode, 0x304e71b8, "_gpl");
SYMBOL_CRC(smscore_onresponse, 0xa87ff2c1, "_gpl");
SYMBOL_CRC(smscore_getbuffer, 0x9e005768, "_gpl");
SYMBOL_CRC(smscore_putbuffer, 0x324e4b14, "_gpl");
SYMBOL_CRC(smscore_register_client, 0x03459a0a, "_gpl");
SYMBOL_CRC(smscore_unregister_client, 0xbbdb5c42, "_gpl");
SYMBOL_CRC(smsclient_sendrequest, 0x99a81ab3, "_gpl");
SYMBOL_CRC(sms_get_board, 0x844539ae, "_gpl");
SYMBOL_CRC(sms_board_event, 0xdd01e383, "_gpl");
SYMBOL_CRC(sms_board_setup, 0xbaf149b8, "_gpl");
SYMBOL_CRC(sms_board_power, 0xfdc4539e, "_gpl");
SYMBOL_CRC(sms_board_led_feedback, 0x3a101d0c, "_gpl");
SYMBOL_CRC(sms_board_lna_control, 0x226da2cf, "_gpl");
SYMBOL_CRC(sms_board_load_modules, 0x74ee9098, "_gpl");
SYMBOL_CRC(smsendian_handle_tx_message, 0x37d91069, "_gpl");
SYMBOL_CRC(smsendian_handle_rx_message, 0x45284ae9, "_gpl");
SYMBOL_CRC(smsendian_handle_message_header, 0x7c576277, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x8159b565, "ir_raw_event_handle" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x83d18345, "ir_raw_event_store" },
	{ 0x72645363, "request_firmware" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb04e59eb, "rc_register_device" },
	{ 0x43f8ecd4, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9607a24b, "rc_free_device" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa4ff3cdb, "rc_allocate_device" },
	{ 0xdd64e639, "strscpy" },
	{ 0x4d0df2ed, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0x4210af1a, "param_ops_int" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf88f060a, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "rc-core");


MODULE_INFO(srcversion, "0CE1C8FD9997DDEB586D6D8");

MODULE_INFO(suserelease, "ALP-0.1");
