#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(media_device_register_entity, 0xf9674db6, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0xc177685d, "_gpl");
SYMBOL_CRC(media_device_init, 0x3148ee7c, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x9a6151a4, "_gpl");
SYMBOL_CRC(__media_device_register, 0x8fd433cc, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0xc4dc04a3, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0xc1d62bb5, "_gpl");
SYMBOL_CRC(media_device_unregister, 0xdfea57b7, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x70e71556, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0xd2522a5e, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0xb4a70067, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x4e461403, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0xe0d13ef2, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0xb1328d0b, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0xe734bc30, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x98118606, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0xa830a156, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x9e03ff59, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0xfcbfa5ae, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x6f7fdd6a, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x923d5f95, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0x5ec4a99d, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0xf8760ab4, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0xbdc47bdf, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x5c39d62d, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0xc2b9851c, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x17add4d7, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0xbd7c8619, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x700da51e, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x58fd4035, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x4ea34ab2, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0xa1496f6e, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0xe46ba234, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0xe3c354e3, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x514edbc3, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0x1800f94e, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x0799b60c, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0x08df1092, "_gpl");
SYMBOL_CRC(media_devnode_create, 0xd0e9bd56, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x7322bf6e, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0x4b56f0f4, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0x14963cc3, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0x15a769ca, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x2794d8ee, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0xb93d3c6e, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x7d44b9af, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0xd3a3177c, "_gpl");
SYMBOL_CRC(media_request_put, 0x0a01e4c7, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0xabf4a5f5, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x1fb98d11, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x6ef39294, "_gpl");
SYMBOL_CRC(media_request_object_init, 0xccdb1855, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x0bfdb38a, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x5f3a05dd, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x5e9caa25, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x61a63a46, "_gpl");
SYMBOL_CRC(media_device_delete, 0x1bb55179, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xcb9f7172, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xb039abdb, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x77687738, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x79d83b7a, "cdev_device_del" },
	{ 0x6e081985, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x73915a95, "fd_install" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba9ed1de, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5a86cc84, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xc7efd59d, "cpu_hwcaps" },
	{ 0x92997ed8, "_printk" },
	{ 0x4bcbf0d1, "cdev_device_add" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x70765a7f, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd9036513, "fwnode_graph_parse_endpoint" },
	{ 0x431d1ac, "module_put" },
	{ 0xda9bf7f0, "device_create_file" },
	{ 0x2d092136, "bus_unregister" },
	{ 0x223613a4, "fput" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0xdcb764ad, "memset" },
	{ 0x5d8b79e1, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x28dbb023, "platform_bus_type" },
	{ 0x73a99ad8, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xc5980e05, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb375e63e, "pci_bus_type" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0x186d859d, "device_remove_file" },
	{ 0x80d1a666, "bus_register" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "88F278A82577C102DCCFBD6");

MODULE_INFO(suserelease, "ALP-0.1");
