#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81cb0026, "__platform_driver_register" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8dd27684, "mmc_regulator_set_vqmmc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf8834552, "mmc_request_done" },
	{ 0x2d1352de, "platform_driver_unregister" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa2ae08a7, "mmc_remove_host" },
	{ 0xff8a4a7e, "__pm_runtime_disable" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x4d0df2ed, "dma_free_attrs" },
	{ 0xf77e7c13, "mmc_free_host" },
	{ 0x1acbc17c, "mmc_alloc_host" },
	{ 0x62d3a5b6, "of_device_get_match_data" },
	{ 0x37024995, "mmc_regulator_get_supply" },
	{ 0xcbf4612d, "devm_platform_ioremap_resource" },
	{ 0x2ad62ca3, "devm_clk_get" },
	{ 0x951daa37, "__devm_reset_control_get" },
	{ 0xd360c0da, "platform_get_irq" },
	{ 0xf420049e, "devm_request_threaded_irq" },
	{ 0x43f8ecd4, "dma_alloc_attrs" },
	{ 0xfac85f10, "of_device_is_compatible" },
	{ 0x33723953, "mmc_of_parse" },
	{ 0x6e4433e, "sunxi_ccu_set_mmc_timing_mode" },
	{ 0x3b78bf02, "sunxi_ccu_get_mmc_timing_mode" },
	{ 0xbb1c4c6, "__pm_runtime_set_status" },
	{ 0xf6a40256, "pm_runtime_set_autosuspend_delay" },
	{ 0xfe9bca61, "__pm_runtime_use_autosuspend" },
	{ 0x1a17bea5, "pm_runtime_enable" },
	{ 0x2d3cc332, "mmc_add_host" },
	{ 0xac68cb33, "_dev_info" },
	{ 0x5d8b79e1, "_dev_warn" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x5a86cc84, "__dynamic_dev_dbg" },
	{ 0x38268a67, "dma_map_sg_attrs" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9ea238b7, "dma_unmap_sg_attrs" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc24892eb, "wake_up_process" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xb7329c06, "clk_set_phase" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x3482a43d, "mmc_regulator_set_ocr" },
	{ 0x36070e07, "regulator_enable" },
	{ 0xbad3fae8, "regulator_disable" },
	{ 0x4036d483, "mmc_gpio_get_ro" },
	{ 0xfd9a5f46, "mmc_gpio_get_cd" },
	{ 0x40701d59, "pm_runtime_force_suspend" },
	{ 0x7e1e7190, "pm_runtime_force_resume" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");

MODULE_ALIAS("of:N*T*Callwinner,sun4i-a10-mmc");
MODULE_ALIAS("of:N*T*Callwinner,sun4i-a10-mmcC*");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a13-mmc");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a13-mmcC*");
MODULE_ALIAS("of:N*T*Callwinner,sun7i-a20-mmc");
MODULE_ALIAS("of:N*T*Callwinner,sun7i-a20-mmcC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a83t-emmc");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a83t-emmcC*");
MODULE_ALIAS("of:N*T*Callwinner,sun9i-a80-mmc");
MODULE_ALIAS("of:N*T*Callwinner,sun9i-a80-mmcC*");
MODULE_ALIAS("of:N*T*Callwinner,sun20i-d1-mmc");
MODULE_ALIAS("of:N*T*Callwinner,sun20i-d1-mmcC*");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-a64-mmc");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-a64-mmcC*");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-a64-emmc");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-a64-emmcC*");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-a100-mmc");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-a100-mmcC*");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-a100-emmc");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-a100-emmcC*");

MODULE_INFO(srcversion, "461D10F0445B69F7BC8942A");

MODULE_INFO(suserelease, "ALP-0.1");
