#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb9acc57a, "usb_alloc_urb" },
	{ 0x756341f5, "usb_anchor_urb" },
	{ 0x42c7170b, "usb_free_urb" },
	{ 0x2b0fab79, "can_free_echo_skb" },
	{ 0x1b09bd84, "can_put_echo_skb" },
	{ 0x48cb3358, "consume_skb" },
	{ 0x949371e6, "can_get_echo_skb" },
	{ 0x319510f0, "alloc_canfd_skb" },
	{ 0xd149347d, "usb_register_driver" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5274a171, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xabdd714e, "open_candev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd24a9e0a, "netdev_err" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc7efd59d, "cpu_hwcaps" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x545f3b55, "usb_bulk_msg" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xeddd6ea4, "alloc_can_skb" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0xa916b694, "strnlen" },
	{ 0x580805ed, "netif_device_detach" },
	{ 0x812f09ae, "unregister_candev" },
	{ 0xa75f9df2, "usb_submit_urb" },
	{ 0xac68cb33, "_dev_info" },
	{ 0xdb7130e, "can_change_state" },
	{ 0xe2298fa0, "can_change_mtu" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xc2738c0b, "can_dropped_invalid_skb" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0x69878d3a, "free_candev" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcd718471, "alloc_candev_mqs" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x113598e9, "kfree_skb_reason" },
	{ 0x999d2c26, "netdev_printk" },
	{ 0x5d66c9ae, "usb_control_msg" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x46cc6392, "usb_deregister" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x4c10756b, "netif_tx_wake_queue" },
	{ 0xd1f1dbc0, "close_candev" },
	{ 0xdcb764ad, "memset" },
	{ 0x5d8b79e1, "_dev_warn" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xacfddda8, "netif_rx" },
	{ 0xb17df762, "can_bus_off" },
	{ 0xa5131188, "usb_unanchor_urb" },
	{ 0x1a1f988f, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9b377e5d, "driver_for_each_device" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xe0e11477, "alloc_can_err_skb" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0x4006bd5c, "register_candev" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0x56045208, "netdev_info" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "usbcore,can-dev");

MODULE_ALIAS("usb:v0C72p000Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0014d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "9A33B07F85EC04832351D3D");

MODULE_INFO(suserelease, "ALP-0.1");
