#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76x0_chip_onoff, 0xbdaf853a, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0x773581ba, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0xdc513525, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0x62607d14, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0x618e18f9, "_gpl");
SYMBOL_CRC(mt76x0_config, 0xc04a0090, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0xcd2a314a, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b2ed6a9, "mt76_init_sar_power" },
	{ 0xa9807118, "mt76x02_phy_adjust_vga_gain" },
	{ 0xb108196, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x5a86cc84, "__dynamic_dev_dbg" },
	{ 0x528c5f46, "mt76x02_mac_shared_key_setup" },
	{ 0xa017423b, "mt76x02_ext_pa_enabled" },
	{ 0x6c45e6c5, "mt76x02_get_efuse_data" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xac68cb33, "_dev_info" },
	{ 0x174c175d, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x7fb2efa9, "ieee80211_queue_delayed_work" },
	{ 0x1604a8f5, "mt76_eeprom_init" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0x40643fc0, "mt76x02_mac_setaddr" },
	{ 0x4ff20b27, "mt76_register_device" },
	{ 0xa48358ed, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x944e5f35, "mt76x02_phy_set_band" },
	{ 0x91d058dc, "mt76_set_channel" },
	{ 0x121571ab, "mt76x02_init_device" },
	{ 0xee25fc4e, "ieee80211_wake_queues" },
	{ 0x1760567d, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x1fba8416, "mt76x02_phy_set_rxpath" },
	{ 0x624f93f9, "mt76x02_edcca_init" },
	{ 0xa5d167e0, "mt76_eeprom_override" },
	{ 0xea76c8a6, "mt76x02_get_lna_gain" },
	{ 0x18929f6f, "mt76x02_init_debugfs" },
	{ 0xdcb764ad, "memset" },
	{ 0x5d8b79e1, "_dev_warn" },
	{ 0x6e676516, "ieee80211_stop_queues" },
	{ 0x329fb933, "mt76x02_mac_cc_reset" },
	{ 0x24ff02b3, "mt76x02_init_agc_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf3b93139, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x92b7177c, "____mt76_poll_msec" },
	{ 0x90be3ce5, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc7f0d747, "mt76x02_config_mac_addr_list" },
	{ 0xf58bd866, "mt76_get_sar_power" },
	{ 0xdcb59a03, "mt76x02_eeprom_copy" },
	{ 0x7decc533, "mt76x02_mcu_calibrate" },
	{ 0x6886ee2a, "mt76x02_mcu_function_select" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xbcfc0a83, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x59e35785, "mt76x02_mac_wcid_setup" },
	{ 0x6f6c59e9, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xaf26335f, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x7a340107, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211,mac80211");


MODULE_INFO(srcversion, "CE2DD35AF09A8753CBEF0D2");

MODULE_INFO(suserelease, "ALP-0.1");
