#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x164a3ea, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xaca3ee21, "devm_kmalloc" },
	{ 0xc3740abc, "mt76x02_set_ethtool_fwver" },
	{ 0x35df5fdd, "mt76x02_set_key" },
	{ 0xdd575d99, "mt76_release_buffered_frames" },
	{ 0x72645363, "request_firmware" },
	{ 0xd149347d, "usb_register_driver" },
	{ 0xf722a0e0, "mt76_get_txpower" },
	{ 0xc8a1f59c, "mt76_write_mac_initvals" },
	{ 0x2f497407, "mt76x2_reset_wlan" },
	{ 0x363e09c8, "mt76x2_mcu_set_channel" },
	{ 0x290d5a11, "mt76x02_mcu_set_radio_state" },
	{ 0x1b477a7a, "mt76_wake_tx_queue" },
	{ 0x63541792, "mt76_get_antenna" },
	{ 0xa6db8fd, "mt76x2_apply_gain_adj" },
	{ 0xc26e662c, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x75a687f6, "mt76x02_sta_ps" },
	{ 0xae25e542, "mt76x2_set_sar_specs" },
	{ 0x216c9b84, "mt76u_resume_rx" },
	{ 0x94ce149a, "mt76x02_sta_rate_tbl_update" },
	{ 0x5a86cc84, "__dynamic_dev_dbg" },
	{ 0x223c51a1, "mt76_alloc_device" },
	{ 0x528c5f46, "mt76x02_mac_shared_key_setup" },
	{ 0xa017423b, "mt76x02_ext_pa_enabled" },
	{ 0x5922cb9c, "mt76x2_mac_stop" },
	{ 0x24ccf6ba, "usb_put_dev" },
	{ 0xfb6b11f2, "usb_reset_device" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x9c5332e, "mt76x02_update_channel" },
	{ 0xd927f1d8, "mt76x2_configure_tx_delay" },
	{ 0xab5d9bf5, "usb_get_dev" },
	{ 0xac68cb33, "_dev_info" },
	{ 0xb356e7b7, "mt76x02_configure_filter" },
	{ 0x1bdd288f, "mt76_free_device" },
	{ 0xd05d2e8d, "mt76x02_queue_rx_skb" },
	{ 0x84fc041a, "mt76u_queues_deinit" },
	{ 0x7fb2efa9, "ieee80211_queue_delayed_work" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0x46522794, "mt76x02u_mcu_fw_reset" },
	{ 0x40643fc0, "mt76x02_mac_setaddr" },
	{ 0x4ff20b27, "mt76_register_device" },
	{ 0x81bba0db, "mt76_set_tim" },
	{ 0x2eeea2c4, "mt76x02_sw_scan_complete" },
	{ 0xa48358ed, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x944e5f35, "mt76x02_phy_set_band" },
	{ 0x91d058dc, "mt76_set_channel" },
	{ 0x121571ab, "mt76x02_init_device" },
	{ 0x914b94cc, "mt76x02_tx" },
	{ 0xee25fc4e, "ieee80211_wake_queues" },
	{ 0x1760567d, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xf099107e, "mt76x02_sta_remove" },
	{ 0x1fba8416, "mt76x02_phy_set_rxpath" },
	{ 0x624f93f9, "mt76x02_edcca_init" },
	{ 0x46cc6392, "usb_deregister" },
	{ 0xb4c2d29c, "mt76x02_tx_status_data" },
	{ 0x6409f6f5, "mt76x02_sta_add" },
	{ 0xd6dabfbf, "mt76x2_mcu_load_cr" },
	{ 0x1c3fe409, "mt76x2_init_txpower" },
	{ 0xf53be8aa, "mt76x02u_mcu_fw_send_data" },
	{ 0xc59fb0b5, "mt76u_init" },
	{ 0xa1739e0d, "mt76_get_survey" },
	{ 0x18929f6f, "mt76x02_init_debugfs" },
	{ 0x5d8b79e1, "_dev_warn" },
	{ 0x55470d7f, "ieee80211_emulate_add_chanctx" },
	{ 0x19996637, "mt76x02u_init_mcu" },
	{ 0x9958c850, "mt76x02u_tx_prepare_skb" },
	{ 0xb55e32aa, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x3fc961ce, "mt76x2_mcu_init_gain" },
	{ 0xe2262e88, "mt76_sta_state" },
	{ 0xca5324cc, "mt76x2_phy_tssi_compensate" },
	{ 0x6e676516, "ieee80211_stop_queues" },
	{ 0xbb2b8dd2, "mt76x02u_mac_start" },
	{ 0x329fb933, "mt76x02_mac_cc_reset" },
	{ 0xa2ba9947, "mt76x02_bss_info_changed" },
	{ 0x24ff02b3, "mt76x02_init_agc_gain" },
	{ 0x4f9f82a9, "mt76x2_phy_update_channel_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf3b93139, "mt76_txq_schedule_all" },
	{ 0x271d8532, "mt76u_alloc_queues" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe969a07f, "mt76u_stop_tx" },
	{ 0x788affb1, "mt76x02u_init_beacon_config" },
	{ 0xe0d947e, "ieee80211_unregister_hw" },
	{ 0xd3a69629, "mt76u_vendor_request" },
	{ 0x3503be6d, "mt76x02_add_interface" },
	{ 0x92b7177c, "____mt76_poll_msec" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf58bd866, "mt76_get_sar_power" },
	{ 0x51a5074f, "mt76u_stop_rx" },
	{ 0xe6b2e514, "mt76x02_ampdu_action" },
	{ 0x7decc533, "mt76x02_mcu_calibrate" },
	{ 0x572e054c, "mt76x02_conf_tx" },
	{ 0x6886ee2a, "mt76x02_mcu_function_select" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x8d15782e, "mt76_sw_scan" },
	{ 0xd7aef6da, "mt76_sta_pre_rcu_remove" },
	{ 0x59e35785, "mt76x02_mac_wcid_setup" },
	{ 0x6f6c59e9, "__mt76_poll" },
	{ 0x422989fb, "mt76x2_read_rx_gain" },
	{ 0x833f612b, "mt76x2_phy_set_txpower_regs" },
	{ 0xbf152e1c, "mt76x2_phy_set_txpower" },
	{ 0xaf26335f, "mt76x02_phy_set_txdac" },
	{ 0xd71d028f, "ieee80211_emulate_remove_chanctx" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfb4c6eff, "mt76x02_remove_interface" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-usb,mt76x02-lib,mt76,usbcore,mt76x2-common,mac80211,mt76-usb");

MODULE_ALIAS("usb:v0B05p1833d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17EBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p180Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7612d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8503d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7632d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C4Ep0103d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9053d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02E6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02FEd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "537962D0DB9EE073E4BAD2A");

MODULE_INFO(suserelease, "ALP-0.1");
