#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x36070e07, "regulator_enable" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x66fa9c4c, "device_property_present" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6ea31352, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf420049e, "devm_request_threaded_irq" },
	{ 0xaca3ee21, "devm_kmalloc" },
	{ 0x510d8462, "usb_hcd_resume_root_hub" },
	{ 0xe416a7b0, "usb_hcd_unlink_urb_from_ep" },
	{ 0x3f8e6db2, "usb_wakeup_enabled_descendants" },
	{ 0x6c8e5cb0, "devm_platform_get_and_ioremap_resource" },
	{ 0x2d1352de, "platform_driver_unregister" },
	{ 0xd360c0da, "platform_get_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x940631fe, "dmam_alloc_attrs" },
	{ 0x7f4a7f91, "usb_phy_set_charger_current" },
	{ 0x21d29ae4, "dma_unmap_page_attrs" },
	{ 0x65467dfb, "dma_sync_single_for_device" },
	{ 0x2d0684a9, "hrtimer_init" },
	{ 0x5a2e765b, "of_usb_host_tpl_support" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x60987d14, "seq_lseek" },
	{ 0x2882d40e, "usb_role_switch_unregister" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5ad2dac8, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5a86cc84, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7bac72a6, "devm_regulator_get_optional" },
	{ 0x1690b503, "usb_role_switch_get_drvdata" },
	{ 0xbe1f57f3, "usb_get_dr_mode" },
	{ 0x6272b9c3, "dev_driver_string" },
	{ 0x8bef8306, "usb_get_role_switch_default_mode" },
	{ 0xfc56f352, "usb_ep_set_maxpacket_limit" },
	{ 0x181dc161, "dma_map_page_attrs" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xc7efd59d, "cpu_hwcaps" },
	{ 0x92997ed8, "_printk" },
	{ 0x901a3882, "usb_hcd_map_urb_for_dma" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x50280d5c, "usb_add_gadget_udc" },
	{ 0x7eca3e0b, "devm_usb_get_phy" },
	{ 0xc55f3bcb, "phy_exit" },
	{ 0x4abb700e, "regulator_bulk_disable" },
	{ 0xf6ed2aa9, "device_property_read_u32_array" },
	{ 0x1f95f1df, "devm_regulator_get" },
	{ 0x85a6f8e6, "debugfs_create_regset32" },
	{ 0x28dc75c9, "kmem_cache_alloc" },
	{ 0xac68cb33, "_dev_info" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xedeb1195, "usb_hcd_check_unlink_urb" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xcfd744c0, "of_usb_update_otg_caps" },
	{ 0xc26aa5f3, "of_match_device" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0xf2160d6c, "device_wakeup_enable" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb7edd7b9, "platform_get_resource" },
	{ 0x7e64181d, "usb_calc_bus_time" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x50d0c37e, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x937d5001, "kmem_cache_free" },
	{ 0x43f8ecd4, "dma_alloc_attrs" },
	{ 0xfaef5280, "debugfs_remove" },
	{ 0x10814a4e, "phy_reset" },
	{ 0x94b0f4c2, "phy_power_on" },
	{ 0x148f544c, "of_find_property" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x36360ad6, "usb_hcd_link_urb_to_ep" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0xb1c18167, "dma_sync_single_for_cpu" },
	{ 0x886b546b, "dmam_free_coherent" },
	{ 0xdcb764ad, "memset" },
	{ 0x5d8b79e1, "_dev_warn" },
	{ 0x3c5d543a, "hrtimer_start_range_ns" },
	{ 0x680c070a, "usb_gadget_unmap_request" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x3d002150, "acpi_match_device" },
	{ 0x9c87beb5, "regulator_bulk_enable" },
	{ 0x881732f, "devm_regulator_bulk_get" },
	{ 0x198c9c82, "phy_power_off" },
	{ 0x3de07154, "usb_role_switch_register" },
	{ 0xd7c8a99c, "usb_put_hcd" },
	{ 0x9d40ecfa, "usb_gadget_set_state" },
	{ 0x5934c5c0, "usb_hub_clear_tt_buffer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x81cb0026, "__platform_driver_register" },
	{ 0xaf0b9cfa, "dma_set_coherent_mask" },
	{ 0x951daa37, "__devm_reset_control_get" },
	{ 0x7339741a, "devm_clk_get_optional" },
	{ 0xda555714, "seq_read" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x14310623, "debugfs_create_file" },
	{ 0x4d0df2ed, "dma_free_attrs" },
	{ 0x5d250cf5, "usb_hcd_giveback_urb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbcc65769, "seq_printf" },
	{ 0x6e90e68c, "usb_gadget_giveback_request" },
	{ 0x9243a129, "usb_del_gadget_udc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0x52cf5fe1, "usb_create_hcd" },
	{ 0x22195a58, "seq_puts" },
	{ 0xd5a521cb, "single_release" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x5939c646, "dma_set_mask" },
	{ 0xbad3fae8, "regulator_disable" },
	{ 0x34351161, "dev_err_probe" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0x2e46ecc0, "usb_debug_root" },
	{ 0xfbfd1325, "__devm_add_action" },
	{ 0xea124bd1, "gcd" },
	{ 0xf37711c, "usb_remove_hcd" },
	{ 0x37f1019f, "devm_phy_get" },
	{ 0x75c4fbbb, "single_open" },
	{ 0xf5a6638d, "usb_hcd_unmap_urb_for_dma" },
	{ 0xff42c374, "usb_role_switch_get_role" },
	{ 0x189af697, "debugfs_create_dir" },
	{ 0x1e807bbc, "usb_add_hcd" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcda55f70, "__dev_fwnode" },
	{ 0xf982958f, "usb_gadget_map_request" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0x6ae3ce99, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa1891c5f, "phy_init" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usb-common,roles,udc-core");

MODULE_ALIAS("acpi*:BCM2848:*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2835-usb");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2835-usbC*");
MODULE_ALIAS("of:N*T*Chisilicon,hi6220-usb");
MODULE_ALIAS("of:N*T*Chisilicon,hi6220-usbC*");
MODULE_ALIAS("of:N*T*Cingenic,jz4775-otg");
MODULE_ALIAS("of:N*T*Cingenic,jz4775-otgC*");
MODULE_ALIAS("of:N*T*Cingenic,jz4780-otg");
MODULE_ALIAS("of:N*T*Cingenic,jz4780-otgC*");
MODULE_ALIAS("of:N*T*Cingenic,x1000-otg");
MODULE_ALIAS("of:N*T*Cingenic,x1000-otgC*");
MODULE_ALIAS("of:N*T*Cingenic,x1600-otg");
MODULE_ALIAS("of:N*T*Cingenic,x1600-otgC*");
MODULE_ALIAS("of:N*T*Cingenic,x1700-otg");
MODULE_ALIAS("of:N*T*Cingenic,x1700-otgC*");
MODULE_ALIAS("of:N*T*Cingenic,x1830-otg");
MODULE_ALIAS("of:N*T*Cingenic,x1830-otgC*");
MODULE_ALIAS("of:N*T*Cingenic,x2000-otg");
MODULE_ALIAS("of:N*T*Cingenic,x2000-otgC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3066-usb");
MODULE_ALIAS("of:N*T*Crockchip,rk3066-usbC*");
MODULE_ALIAS("of:N*T*Clantiq,arx100-usb");
MODULE_ALIAS("of:N*T*Clantiq,arx100-usbC*");
MODULE_ALIAS("of:N*T*Clantiq,xrx200-usb");
MODULE_ALIAS("of:N*T*Clantiq,xrx200-usbC*");
MODULE_ALIAS("of:N*T*Csnps,dwc2");
MODULE_ALIAS("of:N*T*Csnps,dwc2C*");
MODULE_ALIAS("of:N*T*Csamsung,s3c6400-hsotg");
MODULE_ALIAS("of:N*T*Csamsung,s3c6400-hsotgC*");
MODULE_ALIAS("of:N*T*Camlogic,meson8-usb");
MODULE_ALIAS("of:N*T*Camlogic,meson8-usbC*");
MODULE_ALIAS("of:N*T*Camlogic,meson8b-usb");
MODULE_ALIAS("of:N*T*Camlogic,meson8b-usbC*");
MODULE_ALIAS("of:N*T*Camlogic,meson-gxbb-usb");
MODULE_ALIAS("of:N*T*Camlogic,meson-gxbb-usbC*");
MODULE_ALIAS("of:N*T*Camlogic,meson-g12a-usb");
MODULE_ALIAS("of:N*T*Camlogic,meson-g12a-usbC*");
MODULE_ALIAS("of:N*T*Camcc,dwc-otg");
MODULE_ALIAS("of:N*T*Camcc,dwc-otgC*");
MODULE_ALIAS("of:N*T*Capm,apm82181-dwc-otg");
MODULE_ALIAS("of:N*T*Capm,apm82181-dwc-otgC*");
MODULE_ALIAS("of:N*T*Cst,stm32f4x9-fsotg");
MODULE_ALIAS("of:N*T*Cst,stm32f4x9-fsotgC*");
MODULE_ALIAS("of:N*T*Cst,stm32f4x9-hsotg");
MODULE_ALIAS("of:N*T*Cst,stm32f4x9-hsotgC*");
MODULE_ALIAS("of:N*T*Cst,stm32f7-hsotg");
MODULE_ALIAS("of:N*T*Cst,stm32f7-hsotgC*");
MODULE_ALIAS("of:N*T*Cst,stm32mp15-fsotg");
MODULE_ALIAS("of:N*T*Cst,stm32mp15-fsotgC*");
MODULE_ALIAS("of:N*T*Cst,stm32mp15-hsotg");
MODULE_ALIAS("of:N*T*Cst,stm32mp15-hsotgC*");
MODULE_ALIAS("of:N*T*Cintel,socfpga-agilex-hsotg");
MODULE_ALIAS("of:N*T*Cintel,socfpga-agilex-hsotgC*");

MODULE_INFO(srcversion, "A1DE7850AB71FFF5B434B84");

MODULE_INFO(suserelease, "ALP-0.1");
