#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x19e500df, "iget_locked" },
	{ 0x49a4293b, "flush_dcache_page" },
	{ 0x3f34644d, "zstd_dstream_workspace_bound" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x68331ab, "fs_param_is_string" },
	{ 0x9c413b3, "new_inode" },
	{ 0xc7c1107a, "LZ4_decompress_safe" },
	{ 0xf518e6cf, "init_special_inode" },
	{ 0x661dfef0, "unregister_filesystem" },
	{ 0x81db6ebb, "xz_dec_reset" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4df8fbc, "lzo1x_decompress_safe" },
	{ 0xfaed40f9, "d_make_root" },
	{ 0x39c9d88c, "xas_find" },
	{ 0x2af590f7, "sync_filesystem" },
	{ 0xaeef7078, "d_splice_alias" },
	{ 0x4829a47e, "memcpy" },
	{ 0x9b6328dd, "page_get_link" },
	{ 0x37a0cba, "kfree" },
	{ 0xc028c67c, "iput" },
	{ 0x74bc97ef, "fs_param_is_enum" },
	{ 0xfd292445, "logfc" },
	{ 0xed8fc659, "__put_devmap_managed_page_refs" },
	{ 0x52d717da, "xz_dec_init" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0x9506622c, "register_filesystem" },
	{ 0x5ad2dac8, "kmem_cache_create" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xab1da2de, "kill_block_super" },
	{ 0x68b06ec, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xafc6c68e, "zstd_is_error" },
	{ 0x1000e51, "schedule" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x5ac19bba, "make_kuid" },
	{ 0x6e5b8651, "xz_dec_run" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf106e223, "inode_init_once" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0x9068b01f, "readahead_expand" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xacc5a621, "inode_nohighmem" },
	{ 0x543585fa, "unlock_page" },
	{ 0xd7a907fd, "generic_ro_fops" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65dccf13, "xz_dec_end" },
	{ 0x9f6e2cb3, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x937d5001, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0xdda285d3, "bio_kmalloc" },
	{ 0x9166fada, "strncpy" },
	{ 0xf1e046cc, "panic" },
	{ 0x4bcd04a9, "bio_add_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xd6a0cf0a, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xf6cbb278, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x2638690b, "__insert_inode_hash" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2ec61e84, "make_kgid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x162aaee1, "bio_free_pages" },
	{ 0x999e8297, "vfree" },
	{ 0x3bce4b9, "generic_read_dir" },
	{ 0xdda889dd, "bio_uninit" },
	{ 0xdfc12ef1, "zstd_decompress_stream" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x903659b6, "alloc_pages" },
	{ 0x2a358239, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfc96dbef, "get_tree_bdev" },
	{ 0xbcc65769, "seq_printf" },
	{ 0x8f68f661, "pagecache_get_page" },
	{ 0x22195a58, "seq_puts" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x38ef64ac, "__fs_parse" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x3cbb940b, "zstd_init_dstream" },
	{ 0x98cf60b3, "strlen" },
	{ 0x83066087, "kmem_cache_alloc_lru" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xd553562c, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc4f1fdec, "make_bad_inode" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0xab23b4b0, "submit_bio_wait" },
	{ 0xa00ed766, "sb_min_blocksize" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0x608d0267, "zstd_get_error_code" },
	{ 0xb0d2e4f1, "iget_failed" },
	{ 0x6ae3ce99, "kmem_cache_destroy" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "90F1A63CC78436452FECC33");

MODULE_INFO(suserelease, "ALP-0.1");
