#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ieee802154_alloc_hw, 0x514b0bab, "");
SYMBOL_CRC(ieee802154_configure_durations, 0xa62c7cc7, "");
SYMBOL_CRC(ieee802154_free_hw, 0x7623ece3, "");
SYMBOL_CRC(ieee802154_register_hw, 0xc7bd4d9e, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x059e9ca1, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x847c56aa, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0xb72430b1, "");
SYMBOL_CRC(ieee802154_xmit_error, 0x4f3574fa, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0x95952cef, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1ff708a0, "crypto_skcipher_encrypt" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xaba0b4aa, "bpf_trace_run4" },
	{ 0xfa4d87d8, "nl802154_beaconing_done" },
	{ 0x64888a76, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x48cb3358, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1b4830a9, "trace_raw_output_prep" },
	{ 0x400ed3ad, "skb_dequeue" },
	{ 0x445e9660, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xdddd1b76, "trace_event_printf" },
	{ 0x2d0684a9, "hrtimer_init" },
	{ 0x7e4ef75a, "dev_alloc_name" },
	{ 0x64295e47, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xd3767972, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xd91e32df, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x5274a171, "netdev_warn" },
	{ 0x51b60f6b, "crypto_aead_setauthsize" },
	{ 0xb10df088, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xcf844d75, "crypto_skcipher_setkey" },
	{ 0xcad39ca6, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5a86cc84, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7a43a09, "ieee802154_hdr_peek_addrs" },
	{ 0xeff0acfd, "wpan_phy_unregister" },
	{ 0xff1566be, "trace_event_buffer_commit" },
	{ 0x9ab546e9, "dev_addr_mod" },
	{ 0xf814ce9f, "crypto_destroy_tfm" },
	{ 0xfb9b2c0c, "alloc_netdev_mqs" },
	{ 0xeaf95b54, "nl802154_scan_done" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd9351fd0, "nl802154_scan_started" },
	{ 0xa9df711, "crypto_skcipher_decrypt" },
	{ 0xa916b694, "strnlen" },
	{ 0x51ae029c, "__alloc_skb" },
	{ 0x52f7c0fa, "skb_copy_expand" },
	{ 0xa2da916b, "skb_queue_tail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x1771361a, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x1650f161, "perf_trace_run_bpf_submit" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xeabef56e, "wpan_phy_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf250e74a, "crypto_aead_encrypt" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x113598e9, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xaf0fe7f5, "skb_push" },
	{ 0xf5ee7780, "ieee802154_hdr_peek" },
	{ 0xd3cfa830, "wpan_phy_free" },
	{ 0xe5de72dc, "netif_receive_skb" },
	{ 0x380bb3ed, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8830692e, "free_netdev" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb23cc9d8, "bpf_trace_run1" },
	{ 0x4c10756b, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x5d8b79e1, "_dev_warn" },
	{ 0x3c5d543a, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xf1a60ce6, "ieee802154_hdr_pull" },
	{ 0x29adaa8, "nl802154_scan_event" },
	{ 0xba9a93b1, "crypto_alloc_sync_skcipher" },
	{ 0x8533621c, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x1a1f988f, "__dynamic_netdev_dbg" },
	{ 0x2a179ba3, "bpf_trace_run3" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6db7693f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d1e5b62, "ieee802154_beacon_push" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x10418fdf, "wpan_phy_new" },
	{ 0xeef12470, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x25e4f614, "ieee802154_hdr_push" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3d29f2bc, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x5ba5e935, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2218daa3, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xba7b9068, "register_netdevice" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "A786718B7456052A0354D56");

MODULE_INFO(suserelease, "ALP-0.1");
