#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(adau17x1_dai_ops, 0x54b94f1f, "_gpl");
SYMBOL_CRC(adau17x1_set_micbias_voltage, 0x5af624b2, "_gpl");
SYMBOL_CRC(adau17x1_precious_register, 0x51d9ab73, "_gpl");
SYMBOL_CRC(adau17x1_readable_register, 0x092e64b9, "_gpl");
SYMBOL_CRC(adau17x1_volatile_register, 0x25407f71, "_gpl");
SYMBOL_CRC(adau17x1_add_widgets, 0x03c8f2da, "_gpl");
SYMBOL_CRC(adau17x1_add_routes, 0xa8e0a101, "_gpl");
SYMBOL_CRC(adau17x1_resume, 0x6ebe4138, "_gpl");
SYMBOL_CRC(adau17x1_probe, 0x172ad787, "_gpl");
SYMBOL_CRC(adau17x1_remove, 0x11984368, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd74e8d41, "snd_soc_dapm_put_enum_double" },
	{ 0x1af7fa81, "regcache_sync" },
	{ 0x14732042, "regmap_write" },
	{ 0xb94eb21, "snd_soc_dapm_mux_update_power" },
	{ 0xaca3ee21, "devm_kmalloc" },
	{ 0x9df7478a, "snd_soc_component_test_bits" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56512a7, "snd_soc_put_enum_double" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x25fb7832, "snd_soc_get_enum_double" },
	{ 0xda49b8da, "sigmadsp_restrict_params" },
	{ 0x291a774d, "snd_soc_info_volsw" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0x5a99d8ff, "sigmadsp_setup" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x38069ab2, "snd_soc_add_component_controls" },
	{ 0x5d8b79e1, "_dev_warn" },
	{ 0xad8c8db2, "snd_soc_dapm_add_routes" },
	{ 0x6662f2f8, "snd_soc_dapm_kcontrol_dapm" },
	{ 0xaa24ea3c, "snd_soc_info_enum_double" },
	{ 0xae620be9, "adau_calc_pll_cfg" },
	{ 0x408b00b, "sigmadsp_attach" },
	{ 0x7339741a, "devm_clk_get_optional" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xceb2a775, "snd_soc_get_volsw" },
	{ 0xc7e199c0, "regmap_read" },
	{ 0x19c2a3bc, "snd_soc_put_volsw" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x229423e2, "snd_soc_dapm_new_controls" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xe0e2729e, "regmap_update_bits_base" },
	{ 0xf5aa2b34, "snd_soc_dapm_get_enum_double" },
	{ 0x7023dd7f, "regmap_raw_write" },
	{ 0xee63d60f, "devm_sigmadsp_init_regmap" },
	{ 0x9f54d266, "snd_soc_dapm_del_routes" },
	{ 0x815588a6, "clk_enable" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-sigmadsp,snd-soc-adau-utils,snd-soc-sigmadsp-regmap,snd-pcm");


MODULE_INFO(srcversion, "EDF5D101158C42AB4B64F4C");

MODULE_INFO(suserelease, "ALP-0.1");
