#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaca3ee21, "devm_kmalloc" },
	{ 0x9a52f7e0, "of_node_put" },
	{ 0x6cd79059, "of_property_read_variable_u32_array" },
	{ 0x2d1352de, "platform_driver_unregister" },
	{ 0x484da5b1, "of_find_device_by_node" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x62df9f46, "snd_soc_dai_set_tdm_slot" },
	{ 0x3dbac6b9, "snd_soc_dapm_enable_pin" },
	{ 0x4829a47e, "memcpy" },
	{ 0x4d4339be, "snd_soc_dapm_disable_pin" },
	{ 0xd7c9e000, "snd_ac97_update_bits" },
	{ 0x58631dab, "imx_audmux_v2_configure_port" },
	{ 0xe99da912, "snd_soc_of_parse_audio_routing" },
	{ 0xbf028ddc, "clk_get" },
	{ 0x6ed162ac, "snd_soc_dai_set_sysclk" },
	{ 0x2709b8eb, "asoc_simple_init_jack" },
	{ 0x5a86cc84, "__dynamic_dev_dbg" },
	{ 0x2ad62ca3, "devm_clk_get" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x70765a7f, "put_device" },
	{ 0x51810d7e, "snd_soc_daifmt_parse_clock_provider_raw" },
	{ 0x25eae7a8, "snd_soc_jack_notifier_register" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0xd4216033, "__of_parse_phandle_with_args" },
	{ 0x148f544c, "of_find_property" },
	{ 0x81cb0026, "__platform_driver_register" },
	{ 0x52bc486d, "snd_soc_daifmt_parse_format" },
	{ 0x8629030d, "devm_kasprintf" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xfac85f10, "of_device_is_compatible" },
	{ 0xebab669e, "snd_soc_dai_set_pll" },
	{ 0x2e1ca751, "clk_put" },
	{ 0xc2820dd5, "snd_soc_pm_ops" },
	{ 0xba4de7de, "of_node_name_eq" },
	{ 0x34351161, "dev_err_probe" },
	{ 0xfbb82921, "i2c_find_device_by_fwnode" },
	{ 0x1136da3b, "snd_soc_of_parse_card_name" },
	{ 0x815588a6, "clk_enable" },
	{ 0x932d73f8, "devm_snd_soc_register_card" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-ac97-codec,snd-soc-imx-audmux,snd-soc-simple-card-utils");

MODULE_ALIAS("of:N*T*Cfsl,imx-audio-ac97");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-ac97C*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-cs42888");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-cs42888C*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-cs427x");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-cs427xC*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-tlv320aic32x4");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-tlv320aic32x4C*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-tlv320aic31xx");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-tlv320aic31xxC*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-sgtl5000");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-sgtl5000C*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-wm8962");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-wm8962C*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-wm8960");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-wm8960C*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-mqs");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-mqsC*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-wm8524");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-wm8524C*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-si476x");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-si476xC*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-wm8958");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-wm8958C*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-nau8822");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-nau8822C*");

MODULE_INFO(srcversion, "8E01696766974FBB7AD9073");

MODULE_INFO(suserelease, "ALP-0.1");
